#ifndef vtk_expat_mangle_h
#define vtk_expat_mangle_h

/*

This header file mangles all symbols exported from the expat library.
It is included in all files while building the expat library.  Due to
namespace pollution, no expat headers should be included in .h files in
VTK.

The following command was used to obtain the symbol list:

nm libvtkexpat.a |grep " [TR] "

*/

#define asParser vtk_expat_asParser 
#define XML_DefaultCurrent vtk_expat_XML_DefaultCurrent
#define XML_ErrorString vtk_expat_XML_ErrorString
#define XML_ExpatVersion vtk_expat_XML_ExpatVersion
#define XML_ExpatVersionInfo vtk_expat_XML_ExpatVersionInfo
#define XML_ExternalEntityParserCreate vtk_expat_XML_ExternalEntityParserCreate
#define XML_GetBase vtk_expat_XML_GetBase
#define XML_GetBuffer vtk_expat_XML_GetBuffer
#define XML_GetCurrentByteCount vtk_expat_XML_GetCurrentByteCount
#define XML_GetCurrentByteIndex vtk_expat_XML_GetCurrentByteIndex
#define XML_GetCurrentColumnNumber vtk_expat_XML_GetCurrentColumnNumber
#define XML_GetCurrentLineNumber vtk_expat_XML_GetCurrentLineNumber
#define XML_GetErrorCode vtk_expat_XML_GetErrorCode
#define XML_GetIdAttributeIndex vtk_expat_XML_GetIdAttributeIndex
#define XML_GetInputContext vtk_expat_XML_GetInputContext
#define XML_GetSpecifiedAttributeCount vtk_expat_XML_GetSpecifiedAttributeCount
#define XML_Parse vtk_expat_XML_Parse
#define XML_ParseBuffer vtk_expat_XML_ParseBuffer
#define XML_ParserCreate vtk_expat_XML_ParserCreate
#define XML_ParserCreateNS vtk_expat_XML_ParserCreateNS
#define XML_ParserCreate_MM vtk_expat_XML_ParserCreate_MM
#define XML_ParserFree vtk_expat_XML_ParserFree
#define XML_SetAttlistDeclHandler vtk_expat_XML_SetAttlistDeclHandler
#define XML_SetBase vtk_expat_XML_SetBase
#define XML_SetCdataSectionHandler vtk_expat_XML_SetCdataSectionHandler
#define XML_SetCharacterDataHandler vtk_expat_XML_SetCharacterDataHandler
#define XML_SetCommentHandler vtk_expat_XML_SetCommentHandler
#define XML_SetDefaultHandler vtk_expat_XML_SetDefaultHandler
#define XML_SetDefaultHandlerExpand vtk_expat_XML_SetDefaultHandlerExpand
#define XML_SetDoctypeDeclHandler vtk_expat_XML_SetDoctypeDeclHandler
#define XML_SetElementDeclHandler vtk_expat_XML_SetElementDeclHandler
#define XML_SetElementHandler vtk_expat_XML_SetElementHandler
#define XML_SetEncoding vtk_expat_XML_SetEncoding
#define XML_SetEndCdataSectionHandler vtk_expat_XML_SetEndCdataSectionHandler
#define XML_SetEndDoctypeDeclHandler vtk_expat_XML_SetEndDoctypeDeclHandler
#define XML_SetEndElementHandler vtk_expat_XML_SetEndElementHandler
#define XML_SetEndNamespaceDeclHandler vtk_expat_XML_SetEndNamespaceDeclHandler
#define XML_SetEntityDeclHandler vtk_expat_XML_SetEntityDeclHandler
#define XML_SetExternalEntityRefHandler vtk_expat_XML_SetExternalEntityRefHandler
#define XML_SetExternalEntityRefHandlerArg vtk_expat_XML_SetExternalEntityRefHandlerArg
#define XML_SetNamespaceDeclHandler vtk_expat_XML_SetNamespaceDeclHandler
#define XML_SetNotStandaloneHandler vtk_expat_XML_SetNotStandaloneHandler
#define XML_SetNotationDeclHandler vtk_expat_XML_SetNotationDeclHandler
#define XML_SetParamEntityParsing vtk_expat_XML_SetParamEntityParsing
#define XML_SetProcessingInstructionHandler vtk_expat_XML_SetProcessingInstructionHandler
#define XML_SetReturnNSTriplet vtk_expat_XML_SetReturnNSTriplet
#define XML_SetStartCdataSectionHandler vtk_expat_XML_SetStartCdataSectionHandler
#define XML_SetStartDoctypeDeclHandler vtk_expat_XML_SetStartDoctypeDeclHandler
#define XML_SetStartElementHandler vtk_expat_XML_SetStartElementHandler
#define XML_SetStartNamespaceDeclHandler vtk_expat_XML_SetStartNamespaceDeclHandler
#define XML_SetUnknownEncodingHandler vtk_expat_XML_SetUnknownEncodingHandler
#define XML_SetUnparsedEntityDeclHandler vtk_expat_XML_SetUnparsedEntityDeclHandler
#define XML_SetUserData vtk_expat_XML_SetUserData
#define XML_SetXmlDeclHandler vtk_expat_XML_SetXmlDeclHandler
#define XML_UseParserAsHandlerArg vtk_expat_XML_UseParserAsHandlerArg
#define XmlGetUtf16InternalEncoding vtk_expat_XmlGetUtf16InternalEncoding
#define XmlGetUtf16InternalEncodingNS vtk_expat_XmlGetUtf16InternalEncodingNS
#define XmlGetUtf8InternalEncoding vtk_expat_XmlGetUtf8InternalEncoding
#define XmlGetUtf8InternalEncodingNS vtk_expat_XmlGetUtf8InternalEncodingNS
#define XmlInitEncoding vtk_expat_XmlInitEncoding
#define XmlInitEncodingNS vtk_expat_XmlInitEncodingNS
#define XmlInitUnknownEncoding vtk_expat_XmlInitUnknownEncoding
#define XmlInitUnknownEncodingNS vtk_expat_XmlInitUnknownEncodingNS
#define XmlParseXmlDecl vtk_expat_XmlParseXmlDecl
#define XmlParseXmlDeclNS vtk_expat_XmlParseXmlDeclNS
#define XmlSizeOfUnknownEncoding vtk_expat_XmlSizeOfUnknownEncoding
#define XmlUtf16Encode vtk_expat_XmlUtf16Encode
#define XmlUtf8Encode vtk_expat_XmlUtf8Encode
#define XmlPrologStateInit vtk_expat_XmlPrologStateInit
#define XmlPrologStateInitExternalEntity vtk_expat_XmlPrologStateInitExternalEntity

#endif
