#ifndef vtk_libxml2_mangle_h
#define vtk_libxml2_mangle_h

/*

This header file mangles all symbols exported from the libxml2 library.
It is included in all files while building the libxml2 library.  Due to
namespace pollution, no libxml2 headers should be included in .h files in
VTK.

The following command was used to obtain the symbol list:

nm libxml2.a |grep " [TRD] "

*/

#define UTF8ToHtml vtk_libxml2_UTF8ToHtml
#define UTF8Toisolat1 vtk_libxml2_UTF8Toisolat1
#define __docbDefaultSAXHandler vtk_libxml2___docbDefaultSAXHandler
#define __htmlDefaultSAXHandler vtk_libxml2___htmlDefaultSAXHandler
#define __htmlParseContent vtk_libxml2___htmlParseContent
#define __oldXMLWDcompatibility vtk_libxml2___oldXMLWDcompatibility
#define __xmlBufferAllocScheme vtk_libxml2___xmlBufferAllocScheme
#define __xmlDefaultBufferSize vtk_libxml2___xmlDefaultBufferSize
#define __xmlDefaultSAXHandler vtk_libxml2___xmlDefaultSAXHandler
#define __xmlDefaultSAXLocator vtk_libxml2___xmlDefaultSAXLocator
#define __xmlDeregisterNodeDefaultValue vtk_libxml2___xmlDeregisterNodeDefaultValue
#define __xmlDoValidityCheckingDefaultValue vtk_libxml2___xmlDoValidityCheckingDefaultValue
#define __xmlErrEncoding vtk_libxml2___xmlErrEncoding
#define __xmlGenericError vtk_libxml2___xmlGenericError
#define __xmlGenericErrorContext vtk_libxml2___xmlGenericErrorContext
#define __xmlGetWarningsDefaultValue vtk_libxml2___xmlGetWarningsDefaultValue
#define __xmlIOErr vtk_libxml2___xmlIOErr
#define __xmlIndentTreeOutput vtk_libxml2___xmlIndentTreeOutput
#define __xmlKeepBlanksDefaultValue vtk_libxml2___xmlKeepBlanksDefaultValue
#define __xmlLastError vtk_libxml2___xmlLastError
#define __xmlLineNumbersDefaultValue vtk_libxml2___xmlLineNumbersDefaultValue
#define __xmlLoadExtDtdDefaultValue vtk_libxml2___xmlLoadExtDtdDefaultValue
#define __xmlLoaderErr vtk_libxml2___xmlLoaderErr
#define __xmlOutputBufferCreateFilename vtk_libxml2___xmlOutputBufferCreateFilename
#define __xmlOutputBufferCreateFilenameValue vtk_libxml2___xmlOutputBufferCreateFilenameValue
#define __xmlParserDebugEntities vtk_libxml2___xmlParserDebugEntities
#define __xmlParserInputBufferCreateFilename vtk_libxml2___xmlParserInputBufferCreateFilename
#define __xmlParserInputBufferCreateFilenameValue vtk_libxml2___xmlParserInputBufferCreateFilenameValue
#define __xmlParserVersion vtk_libxml2___xmlParserVersion
#define __xmlPedanticParserDefaultValue vtk_libxml2___xmlPedanticParserDefaultValue
#define __xmlRaiseError vtk_libxml2___xmlRaiseError
#define __xmlRegisterCallbacks vtk_libxml2___xmlRegisterCallbacks
#define __xmlRegisterNodeDefaultValue vtk_libxml2___xmlRegisterNodeDefaultValue
#define __xmlSaveNoEmptyTags vtk_libxml2___xmlSaveNoEmptyTags
#define __xmlSimpleError vtk_libxml2___xmlSimpleError
#define __xmlStructuredError vtk_libxml2___xmlStructuredError
#define __xmlSubstituteEntitiesDefaultValue vtk_libxml2___xmlSubstituteEntitiesDefaultValue
#define __xmlTreeIndentString vtk_libxml2___xmlTreeIndentString
#if !defined(_fini) && !defined(_init)
  #define _fini vtk_libxml2__fini
  #define _init vtk_libxml2__init
#endif
#define attribute vtk_libxml2_attribute
#define attributeDecl vtk_libxml2_attributeDecl
#define cdataBlock vtk_libxml2_cdataBlock
#define characters vtk_libxml2_characters
#define checkNamespace vtk_libxml2_checkNamespace
#define comment vtk_libxml2_comment
#define docbCreateFileParserCtxt vtk_libxml2_docbCreateFileParserCtxt
#define docbCreatePushParserCtxt vtk_libxml2_docbCreatePushParserCtxt
#define docbDefaultSAXHandler vtk_libxml2_docbDefaultSAXHandler
#define docbDefaultSAXHandlerInit vtk_libxml2_docbDefaultSAXHandlerInit
#define docbEncodeEntities vtk_libxml2_docbEncodeEntities
#define docbFreeParserCtxt vtk_libxml2_docbFreeParserCtxt
#define docbParseChunk vtk_libxml2_docbParseChunk
#define docbParseDoc vtk_libxml2_docbParseDoc
#define docbParseDocument vtk_libxml2_docbParseDocument
#define docbParseFile vtk_libxml2_docbParseFile
#define docbSAXParseDoc vtk_libxml2_docbSAXParseDoc
#define docbSAXParseFile vtk_libxml2_docbSAXParseFile
#define elementDecl vtk_libxml2_elementDecl
#define emptyExp vtk_libxml2_emptyExp
#define endDocument vtk_libxml2_endDocument
#define endElement vtk_libxml2_endElement
#define entityDecl vtk_libxml2_entityDecl
#define externalSubset vtk_libxml2_externalSubset
#define forbiddenExp vtk_libxml2_forbiddenExp
#define getColumnNumber vtk_libxml2_getColumnNumber
#define getEntity vtk_libxml2_getEntity
#define getLineNumber vtk_libxml2_getLineNumber
#define getNamespace vtk_libxml2_getNamespace
#define getParameterEntity vtk_libxml2_getParameterEntity
#define getPublicId vtk_libxml2_getPublicId
#define getSystemId vtk_libxml2_getSystemId
#define globalNamespace vtk_libxml2_globalNamespace
#define hasExternalSubset vtk_libxml2_hasExternalSubset
#define hasInternalSubset vtk_libxml2_hasInternalSubset
#define htmlAttrAllowed vtk_libxml2_htmlAttrAllowed
#define htmlAutoCloseTag vtk_libxml2_htmlAutoCloseTag
#define htmlCreateFileParserCtxt vtk_libxml2_htmlCreateFileParserCtxt
#define htmlCreateMemoryParserCtxt vtk_libxml2_htmlCreateMemoryParserCtxt
#define htmlCreatePushParserCtxt vtk_libxml2_htmlCreatePushParserCtxt
#define htmlCtxtReadDoc vtk_libxml2_htmlCtxtReadDoc
#define htmlCtxtReadFd vtk_libxml2_htmlCtxtReadFd
#define htmlCtxtReadFile vtk_libxml2_htmlCtxtReadFile
#define htmlCtxtReadIO vtk_libxml2_htmlCtxtReadIO
#define htmlCtxtReadMemory vtk_libxml2_htmlCtxtReadMemory
#define htmlCtxtReset vtk_libxml2_htmlCtxtReset
#define htmlCtxtUseOptions vtk_libxml2_htmlCtxtUseOptions
#define htmlDecodeEntities vtk_libxml2_htmlDecodeEntities
#define htmlDefaultSAXHandler vtk_libxml2_htmlDefaultSAXHandler
#define htmlDefaultSAXHandlerInit vtk_libxml2_htmlDefaultSAXHandlerInit
#define htmlDocContentDumpFormatOutput vtk_libxml2_htmlDocContentDumpFormatOutput
#define htmlDocContentDumpOutput vtk_libxml2_htmlDocContentDumpOutput
#define htmlDocDump vtk_libxml2_htmlDocDump
#define htmlDocDumpMemory vtk_libxml2_htmlDocDumpMemory
#define htmlDocDumpMemoryFormat vtk_libxml2_htmlDocDumpMemoryFormat
#define htmlElementAllowedHere vtk_libxml2_htmlElementAllowedHere
#define htmlElementStatusHere vtk_libxml2_htmlElementStatusHere
#define htmlEncodeEntities vtk_libxml2_htmlEncodeEntities
#define htmlEntityLookup vtk_libxml2_htmlEntityLookup
#define htmlEntityValueLookup vtk_libxml2_htmlEntityValueLookup
#define htmlFreeParserCtxt vtk_libxml2_htmlFreeParserCtxt
#define htmlGetMetaEncoding vtk_libxml2_htmlGetMetaEncoding
#define htmlHandleOmittedElem vtk_libxml2_htmlHandleOmittedElem
#define htmlInitAutoClose vtk_libxml2_htmlInitAutoClose
#define htmlIsAutoClosed vtk_libxml2_htmlIsAutoClosed
#define htmlIsBooleanAttr vtk_libxml2_htmlIsBooleanAttr
#define htmlIsScriptAttribute vtk_libxml2_htmlIsScriptAttribute
#define htmlNewDoc vtk_libxml2_htmlNewDoc
#define htmlNewDocNoDtD vtk_libxml2_htmlNewDocNoDtD
#define htmlNewParserCtxt vtk_libxml2_htmlNewParserCtxt
#define htmlNodeDump vtk_libxml2_htmlNodeDump
#define htmlNodeDumpFile vtk_libxml2_htmlNodeDumpFile
#define htmlNodeDumpFileFormat vtk_libxml2_htmlNodeDumpFileFormat
#define htmlNodeDumpFormatOutput vtk_libxml2_htmlNodeDumpFormatOutput
#define htmlNodeDumpOutput vtk_libxml2_htmlNodeDumpOutput
#define htmlNodeStatus vtk_libxml2_htmlNodeStatus
#define htmlParseCharRef vtk_libxml2_htmlParseCharRef
#define htmlParseChunk vtk_libxml2_htmlParseChunk
#define htmlParseDoc vtk_libxml2_htmlParseDoc
#define htmlParseDocument vtk_libxml2_htmlParseDocument
#define htmlParseElement vtk_libxml2_htmlParseElement
#define htmlParseEntityRef vtk_libxml2_htmlParseEntityRef
#define htmlParseFile vtk_libxml2_htmlParseFile
#define htmlReadDoc vtk_libxml2_htmlReadDoc
#define htmlReadFd vtk_libxml2_htmlReadFd
#define htmlReadFile vtk_libxml2_htmlReadFile
#define htmlReadIO vtk_libxml2_htmlReadIO
#define htmlReadMemory vtk_libxml2_htmlReadMemory
#define htmlSAXParseDoc vtk_libxml2_htmlSAXParseDoc
#define htmlSAXParseFile vtk_libxml2_htmlSAXParseFile
#define htmlSaveFile vtk_libxml2_htmlSaveFile
#define htmlSaveFileEnc vtk_libxml2_htmlSaveFileEnc
#define htmlSaveFileFormat vtk_libxml2_htmlSaveFileFormat
#define htmlSetMetaEncoding vtk_libxml2_htmlSetMetaEncoding
#define htmlTagLookup vtk_libxml2_htmlTagLookup
#define ignorableWhitespace vtk_libxml2_ignorableWhitespace
#define initGenericErrorDefaultFunc vtk_libxml2_initGenericErrorDefaultFunc
#define initdocbDefaultSAXHandler vtk_libxml2_initdocbDefaultSAXHandler
#define inithtmlDefaultSAXHandler vtk_libxml2_inithtmlDefaultSAXHandler
#define initxmlDefaultSAXHandler vtk_libxml2_initxmlDefaultSAXHandler
#define inputPop vtk_libxml2_inputPop
#define inputPush vtk_libxml2_inputPush
#define internalSubset vtk_libxml2_internalSubset
#define isStandalone vtk_libxml2_isStandalone
#define isolat1ToUTF8 vtk_libxml2_isolat1ToUTF8
#define namePop vtk_libxml2_namePop
#define namePush vtk_libxml2_namePush
#define namespaceDecl vtk_libxml2_namespaceDecl
#define nodePop vtk_libxml2_nodePop
#define nodePush vtk_libxml2_nodePush
#define notationDecl vtk_libxml2_notationDecl
#define oldXMLWDcompatibility vtk_libxml2_oldXMLWDcompatibility
#define processingInstruction vtk_libxml2_processingInstruction
#define reference vtk_libxml2_reference
#define resolveEntity vtk_libxml2_resolveEntity
#define setDocumentLocator vtk_libxml2_setDocumentLocator
#define setNamespace vtk_libxml2_setNamespace
#define startDocument vtk_libxml2_startDocument
#define startElement vtk_libxml2_startElement
#define unparsedEntityDecl vtk_libxml2_unparsedEntityDecl
#define valuePop vtk_libxml2_valuePop
#define valuePush vtk_libxml2_valuePush
#define xlinkGetDefaultDetect vtk_libxml2_xlinkGetDefaultDetect
#define xlinkGetDefaultHandler vtk_libxml2_xlinkGetDefaultHandler
#define xlinkIsLink vtk_libxml2_xlinkIsLink
#define xlinkSetDefaultDetect vtk_libxml2_xlinkSetDefaultDetect
#define xlinkSetDefaultHandler vtk_libxml2_xlinkSetDefaultHandler
#define xmlACatalogAdd vtk_libxml2_xmlACatalogAdd
#define xmlACatalogDump vtk_libxml2_xmlACatalogDump
#define xmlACatalogRemove vtk_libxml2_xmlACatalogRemove
#define xmlACatalogResolve vtk_libxml2_xmlACatalogResolve
#define xmlACatalogResolvePublic vtk_libxml2_xmlACatalogResolvePublic
#define xmlACatalogResolveSystem vtk_libxml2_xmlACatalogResolveSystem
#define xmlACatalogResolveURI vtk_libxml2_xmlACatalogResolveURI
#define xmlAddAttributeDecl vtk_libxml2_xmlAddAttributeDecl
#define xmlAddChild vtk_libxml2_xmlAddChild
#define xmlAddChildList vtk_libxml2_xmlAddChildList
#define xmlAddDocEntity vtk_libxml2_xmlAddDocEntity
#define xmlAddDtdEntity vtk_libxml2_xmlAddDtdEntity
#define xmlAddElementDecl vtk_libxml2_xmlAddElementDecl
#define xmlAddEncodingAlias vtk_libxml2_xmlAddEncodingAlias
#define xmlAddID vtk_libxml2_xmlAddID
#define xmlAddNextSibling vtk_libxml2_xmlAddNextSibling
#define xmlAddNotationDecl vtk_libxml2_xmlAddNotationDecl
#define xmlAddPrevSibling vtk_libxml2_xmlAddPrevSibling
#define xmlAddRef vtk_libxml2_xmlAddRef
#define xmlAddSibling vtk_libxml2_xmlAddSibling
#define xmlAllocOutputBuffer vtk_libxml2_xmlAllocOutputBuffer
#define xmlAllocParserInputBuffer vtk_libxml2_xmlAllocParserInputBuffer
#define xmlAttrSerializeTxtContent vtk_libxml2_xmlAttrSerializeTxtContent
#define xmlAutomataCompile vtk_libxml2_xmlAutomataCompile
#define xmlAutomataGetInitState vtk_libxml2_xmlAutomataGetInitState
#define xmlAutomataIsDeterminist vtk_libxml2_xmlAutomataIsDeterminist
#define xmlAutomataNewAllTrans vtk_libxml2_xmlAutomataNewAllTrans
#define xmlAutomataNewCountTrans vtk_libxml2_xmlAutomataNewCountTrans
#define xmlAutomataNewCountTrans2 vtk_libxml2_xmlAutomataNewCountTrans2
#define xmlAutomataNewCountedTrans vtk_libxml2_xmlAutomataNewCountedTrans
#define xmlAutomataNewCounter vtk_libxml2_xmlAutomataNewCounter
#define xmlAutomataNewCounterTrans vtk_libxml2_xmlAutomataNewCounterTrans
#define xmlAutomataNewEpsilon vtk_libxml2_xmlAutomataNewEpsilon
#define xmlAutomataNewNegTrans vtk_libxml2_xmlAutomataNewNegTrans
#define xmlAutomataNewOnceTrans vtk_libxml2_xmlAutomataNewOnceTrans
#define xmlAutomataNewOnceTrans2 vtk_libxml2_xmlAutomataNewOnceTrans2
#define xmlAutomataNewState vtk_libxml2_xmlAutomataNewState
#define xmlAutomataNewTransition vtk_libxml2_xmlAutomataNewTransition
#define xmlAutomataNewTransition2 vtk_libxml2_xmlAutomataNewTransition2
#define xmlAutomataSetFinalState vtk_libxml2_xmlAutomataSetFinalState
#define xmlBufferAdd vtk_libxml2_xmlBufferAdd
#define xmlBufferAddHead vtk_libxml2_xmlBufferAddHead
#define xmlBufferAllocScheme vtk_libxml2_xmlBufferAllocScheme
#define xmlBufferCCat vtk_libxml2_xmlBufferCCat
#define xmlBufferCat vtk_libxml2_xmlBufferCat
#define xmlBufferContent vtk_libxml2_xmlBufferContent
#define xmlBufferCreate vtk_libxml2_xmlBufferCreate
#define xmlBufferCreateSize vtk_libxml2_xmlBufferCreateSize
#define xmlBufferCreateStatic vtk_libxml2_xmlBufferCreateStatic
#define xmlBufferDump vtk_libxml2_xmlBufferDump
#define xmlBufferEmpty vtk_libxml2_xmlBufferEmpty
#define xmlBufferFree vtk_libxml2_xmlBufferFree
#define xmlBufferGrow vtk_libxml2_xmlBufferGrow
#define xmlBufferLength vtk_libxml2_xmlBufferLength
#define xmlBufferResize vtk_libxml2_xmlBufferResize
#define xmlBufferSetAllocationScheme vtk_libxml2_xmlBufferSetAllocationScheme
#define xmlBufferShrink vtk_libxml2_xmlBufferShrink
#define xmlBufferWriteCHAR vtk_libxml2_xmlBufferWriteCHARx /* hack for borland */
#define xmlBufferWriteChar vtk_libxml2_xmlBufferWriteChar
#define xmlBufferWriteQuotedString vtk_libxml2_xmlBufferWriteQuotedString
#define xmlBuildQName vtk_libxml2_xmlBuildQName
#define xmlBuildRelativeURI vtk_libxml2_xmlBuildRelativeURI
#define xmlBuildURI vtk_libxml2_xmlBuildURI
#define xmlByteConsumed vtk_libxml2_xmlByteConsumed
#define xmlC14NDocDumpMemory vtk_libxml2_xmlC14NDocDumpMemory
#define xmlC14NDocSave vtk_libxml2_xmlC14NDocSave
#define xmlC14NDocSaveTo vtk_libxml2_xmlC14NDocSaveTo
#define xmlC14NExecute vtk_libxml2_xmlC14NExecute
#define xmlCanonicPath vtk_libxml2_xmlCanonicPath
#define xmlCatalogAdd vtk_libxml2_xmlCatalogAdd
#define xmlCatalogAddLocal vtk_libxml2_xmlCatalogAddLocal
#define xmlCatalogCleanup vtk_libxml2_xmlCatalogCleanup
#define xmlCatalogConvert vtk_libxml2_xmlCatalogConvert
#define xmlCatalogDump vtk_libxml2_xmlCatalogDump
#define xmlCatalogFreeLocal vtk_libxml2_xmlCatalogFreeLocal
#define xmlCatalogGetDefaults vtk_libxml2_xmlCatalogGetDefaults
#define xmlCatalogGetPublic vtk_libxml2_xmlCatalogGetPublic
#define xmlCatalogGetSystem vtk_libxml2_xmlCatalogGetSystem
#define xmlCatalogIsEmpty vtk_libxml2_xmlCatalogIsEmpty
#define xmlCatalogLocalResolve vtk_libxml2_xmlCatalogLocalResolve
#define xmlCatalogLocalResolveURI vtk_libxml2_xmlCatalogLocalResolveURI
#define xmlCatalogRemove vtk_libxml2_xmlCatalogRemove
#define xmlCatalogResolve vtk_libxml2_xmlCatalogResolve
#define xmlCatalogResolvePublic vtk_libxml2_xmlCatalogResolvePublic
#define xmlCatalogResolveSystem vtk_libxml2_xmlCatalogResolveSystem
#define xmlCatalogResolveURI vtk_libxml2_xmlCatalogResolveURI
#define xmlCatalogSetDebug vtk_libxml2_xmlCatalogSetDebug
#define xmlCatalogSetDefaultPrefer vtk_libxml2_xmlCatalogSetDefaultPrefer
#define xmlCatalogSetDefaults vtk_libxml2_xmlCatalogSetDefaults
#define xmlCharEncCloseFunc vtk_libxml2_xmlCharEncCloseFunc
#define xmlCharEncFirstLine vtk_libxml2_xmlCharEncFirstLine
#define xmlCharEncInFunc vtk_libxml2_xmlCharEncInFunc
#define xmlCharEncOutFunc vtk_libxml2_xmlCharEncOutFunc
#define xmlCharInRange vtk_libxml2_xmlCharInRange
#define xmlCharStrdup vtk_libxml2_xmlCharStrdup
#define xmlCharStrndup vtk_libxml2_xmlCharStrndup
#define xmlCheckFilename vtk_libxml2_xmlCheckFilename
#define xmlCheckHTTPInput vtk_libxml2_xmlCheckHTTPInput
#define xmlCheckLanguageID vtk_libxml2_xmlCheckLanguageID
#define xmlCheckUTF8 vtk_libxml2_xmlCheckUTF8
#define xmlCheckVersion vtk_libxml2_xmlCheckVersion
#define xmlCleanupCharEncodingHandlers vtk_libxml2_xmlCleanupCharEncodingHandlers
#define xmlCleanupEncodingAliases vtk_libxml2_xmlCleanupEncodingAliases
#define xmlCleanupGlobals vtk_libxml2_xmlCleanupGlobals
#define xmlCleanupInputCallbacks vtk_libxml2_xmlCleanupInputCallbacks
#define xmlCleanupMemory vtk_libxml2_xmlCleanupMemory
#define xmlCleanupOutputCallbacks vtk_libxml2_xmlCleanupOutputCallbacks
#define xmlCleanupParser vtk_libxml2_xmlCleanupParser
#define xmlCleanupPredefinedEntities vtk_libxml2_xmlCleanupPredefinedEntities
#define xmlCleanupThreads vtk_libxml2_xmlCleanupThreads
#define xmlClearNodeInfoSeq vtk_libxml2_xmlClearNodeInfoSeq
#define xmlClearParserCtxt vtk_libxml2_xmlClearParserCtxt
#define xmlConvertSGMLCatalog vtk_libxml2_xmlConvertSGMLCatalog
#define xmlCopyAttributeTable vtk_libxml2_xmlCopyAttributeTable
#define xmlCopyChar vtk_libxml2_xmlCopyChar
#define xmlCopyCharMultiByte vtk_libxml2_xmlCopyCharMultiByte
#define xmlCopyDoc vtk_libxml2_xmlCopyDoc
#define xmlCopyDocElementContent vtk_libxml2_xmlCopyDocElementContent
#define xmlCopyDtd vtk_libxml2_xmlCopyDtd
#define xmlCopyElementContent vtk_libxml2_xmlCopyElementContent
#define xmlCopyElementTable vtk_libxml2_xmlCopyElementTable
#define xmlCopyEntitiesTable vtk_libxml2_xmlCopyEntitiesTable
#define xmlCopyEnumeration vtk_libxml2_xmlCopyEnumeration
#define xmlCopyError vtk_libxml2_xmlCopyError
#define xmlCopyNamespace vtk_libxml2_xmlCopyNamespace
#define xmlCopyNamespaceList vtk_libxml2_xmlCopyNamespaceList
#define xmlCopyNode vtk_libxml2_xmlCopyNode
#define xmlCopyNodeList vtk_libxml2_xmlCopyNodeList
#define xmlCopyNotationTable vtk_libxml2_xmlCopyNotationTable
#define xmlCopyProp vtk_libxml2_xmlCopyProp
#define xmlCopyPropList vtk_libxml2_xmlCopyPropList
#define xmlCreateDocParserCtxt vtk_libxml2_xmlCreateDocParserCtxt
#define xmlCreateEntitiesTable vtk_libxml2_xmlCreateEntitiesTable
#define xmlCreateEntityParserCtxt vtk_libxml2_xmlCreateEntityParserCtxt
#define xmlCreateEnumeration vtk_libxml2_xmlCreateEnumeration
#define xmlCreateFileParserCtxt vtk_libxml2_xmlCreateFileParserCtxt
#define xmlCreateIOParserCtxt vtk_libxml2_xmlCreateIOParserCtxt
#define xmlCreateIntSubset vtk_libxml2_xmlCreateIntSubset
#define xmlCreateMemoryParserCtxt vtk_libxml2_xmlCreateMemoryParserCtxt
#define xmlCreatePushParserCtxt vtk_libxml2_xmlCreatePushParserCtxt
#define xmlCreateURI vtk_libxml2_xmlCreateURI
#define xmlCreateURLParserCtxt vtk_libxml2_xmlCreateURLParserCtxt
#define xmlCtxtGetLastError vtk_libxml2_xmlCtxtGetLastError
#define xmlCtxtReadDoc vtk_libxml2_xmlCtxtReadDoc
#define xmlCtxtReadFd vtk_libxml2_xmlCtxtReadFd
#define xmlCtxtReadFile vtk_libxml2_xmlCtxtReadFile
#define xmlCtxtReadIO vtk_libxml2_xmlCtxtReadIO
#define xmlCtxtReadMemory vtk_libxml2_xmlCtxtReadMemory
#define xmlCtxtReset vtk_libxml2_xmlCtxtReset
#define xmlCtxtResetLastError vtk_libxml2_xmlCtxtResetLastError
#define xmlCtxtResetPush vtk_libxml2_xmlCtxtResetPush
#define xmlCtxtUseOptions vtk_libxml2_xmlCtxtUseOptions
#define xmlCurrentChar vtk_libxml2_xmlCurrentChar
#define xmlDOMWrapAdoptNode vtk_libxml2_xmlDOMWrapAdoptNode
#define xmlDOMWrapCloneNode vtk_libxml2_xmlDOMWrapCloneNode
#define xmlDOMWrapFreeCtxt vtk_libxml2_xmlDOMWrapFreeCtxt
#define xmlDOMWrapNewCtxt vtk_libxml2_xmlDOMWrapNewCtxt
#define xmlDOMWrapReconcileNamespaces vtk_libxml2_xmlDOMWrapReconcileNamespaces
#define xmlDOMWrapRemoveNode vtk_libxml2_xmlDOMWrapRemoveNode
#define xmlDecodeEntities vtk_libxml2_xmlDecodeEntities
#define xmlDefaultBufferSize vtk_libxml2_xmlDefaultBufferSize
#define xmlDefaultSAXHandler vtk_libxml2_xmlDefaultSAXHandler
#define xmlDefaultSAXHandlerInit vtk_libxml2_xmlDefaultSAXHandlerInit
#define xmlDefaultSAXLocator vtk_libxml2_xmlDefaultSAXLocator
#define xmlDelEncodingAlias vtk_libxml2_xmlDelEncodingAlias
#define xmlDeregisterNodeDefault vtk_libxml2_xmlDeregisterNodeDefault
#define xmlDeregisterNodeDefaultValue vtk_libxml2_xmlDeregisterNodeDefaultValue
#define xmlDetectCharEncoding vtk_libxml2_xmlDetectCharEncoding
#define xmlDictCleanup vtk_libxml2_xmlDictCleanup
#define xmlDictCreate vtk_libxml2_xmlDictCreate
#define xmlDictCreateSub vtk_libxml2_xmlDictCreateSub
#define xmlDictExists vtk_libxml2_xmlDictExists
#define xmlDictFree vtk_libxml2_xmlDictFree
#define xmlDictLookup vtk_libxml2_xmlDictLookup
#define xmlDictOwns vtk_libxml2_xmlDictOwns
#define xmlDictQLookup vtk_libxml2_xmlDictQLookup
#define xmlDictReference vtk_libxml2_xmlDictReference
#define xmlDictSize vtk_libxml2_xmlDictSize
#define xmlDoValidityCheckingDefaultValue vtk_libxml2_xmlDoValidityCheckingDefaultValue
#define xmlDocCopyNode vtk_libxml2_xmlDocCopyNode
#define xmlDocCopyNodeList vtk_libxml2_xmlDocCopyNodeList
#define xmlDocDump vtk_libxml2_xmlDocDump
#define xmlDocDumpFormatMemory vtk_libxml2_xmlDocDumpFormatMemory
#define xmlDocDumpFormatMemoryEnc vtk_libxml2_xmlDocDumpFormatMemoryEnc
#define xmlDocDumpMemory vtk_libxml2_xmlDocDumpMemory
#define xmlDocDumpMemoryEnc vtk_libxml2_xmlDocDumpMemoryEnc
#define xmlDocFormatDump vtk_libxml2_xmlDocFormatDump
#define xmlDocGetRootElement vtk_libxml2_xmlDocGetRootElement
#define xmlDocSetRootElement vtk_libxml2_xmlDocSetRootElement
#define xmlDumpAttributeDecl vtk_libxml2_xmlDumpAttributeDecl
#define xmlDumpAttributeTable vtk_libxml2_xmlDumpAttributeTable
#define xmlDumpElementDecl vtk_libxml2_xmlDumpElementDecl
#define xmlDumpElementTable vtk_libxml2_xmlDumpElementTable
#define xmlDumpEntitiesTable vtk_libxml2_xmlDumpEntitiesTable
#define xmlDumpEntityDecl vtk_libxml2_xmlDumpEntityDecl
#define xmlDumpNotationDecl vtk_libxml2_xmlDumpNotationDecl
#define xmlDumpNotationTable vtk_libxml2_xmlDumpNotationTable
#define xmlElemDump vtk_libxml2_xmlElemDump
#define xmlEncodeEntities vtk_libxml2_xmlEncodeEntities
#define xmlEncodeEntitiesReentrant vtk_libxml2_xmlEncodeEntitiesReentrant
#define xmlEncodeSpecialChars vtk_libxml2_xmlEncodeSpecialChars
#define xmlErrMemory vtk_libxml2_xmlErrMemory
#define xmlExpCtxtNbCons vtk_libxml2_xmlExpCtxtNbCons
#define xmlExpCtxtNbNodes vtk_libxml2_xmlExpCtxtNbNodes
#define xmlExpDump vtk_libxml2_xmlExpDump
#define xmlExpExpDerive vtk_libxml2_xmlExpExpDerive
#define xmlExpFree vtk_libxml2_xmlExpFree
#define xmlExpFreeCtxt vtk_libxml2_xmlExpFreeCtxt
#define xmlExpGetLanguage vtk_libxml2_xmlExpGetLanguage
#define xmlExpGetStart vtk_libxml2_xmlExpGetStart
#define xmlExpIsNillable vtk_libxml2_xmlExpIsNillable
#define xmlExpMaxToken vtk_libxml2_xmlExpMaxToken
#define xmlExpNewAtom vtk_libxml2_xmlExpNewAtom
#define xmlExpNewCtxt vtk_libxml2_xmlExpNewCtxt
#define xmlExpNewOr vtk_libxml2_xmlExpNewOr
#define xmlExpNewRange vtk_libxml2_xmlExpNewRange
#define xmlExpNewSeq vtk_libxml2_xmlExpNewSeq
#define xmlExpParse vtk_libxml2_xmlExpParse
#define xmlExpRef vtk_libxml2_xmlExpRef
#define xmlExpStringDerive vtk_libxml2_xmlExpStringDerive
#define xmlExpSubsume vtk_libxml2_xmlExpSubsume
#define xmlFileClose vtk_libxml2_xmlFileClose
#define xmlFileMatch vtk_libxml2_xmlFileMatch
#define xmlFileOpen vtk_libxml2_xmlFileOpen
#define xmlFileRead vtk_libxml2_xmlFileRead
#define xmlFindCharEncodingHandler vtk_libxml2_xmlFindCharEncodingHandler
#define xmlFree vtk_libxml2_xmlFree
#define xmlFreeAttributeTable vtk_libxml2_xmlFreeAttributeTable
#define xmlFreeAutomata vtk_libxml2_xmlFreeAutomata
#define xmlFreeCatalog vtk_libxml2_xmlFreeCatalog
#define xmlFreeDoc vtk_libxml2_xmlFreeDoc
#define xmlFreeDocElementContent vtk_libxml2_xmlFreeDocElementContent
#define xmlFreeDtd vtk_libxml2_xmlFreeDtd
#define xmlFreeElementContent vtk_libxml2_xmlFreeElementContent
#define xmlFreeElementTable vtk_libxml2_xmlFreeElementTable
#define xmlFreeEntitiesTable vtk_libxml2_xmlFreeEntitiesTable
#define xmlFreeEnumeration vtk_libxml2_xmlFreeEnumeration
#define xmlFreeIDTable vtk_libxml2_xmlFreeIDTable
#define xmlFreeInputStream vtk_libxml2_xmlFreeInputStream
#define xmlFreeMutex vtk_libxml2_xmlFreeMutex
#define xmlFreeNode vtk_libxml2_xmlFreeNode
#define xmlFreeNodeList vtk_libxml2_xmlFreeNodeList
#define xmlFreeNotationTable vtk_libxml2_xmlFreeNotationTable
#define xmlFreeNs vtk_libxml2_xmlFreeNs
#define xmlFreeNsList vtk_libxml2_xmlFreeNsList
#define xmlFreeParserCtxt vtk_libxml2_xmlFreeParserCtxt
#define xmlFreeParserInputBuffer vtk_libxml2_xmlFreeParserInputBuffer
#define xmlFreePattern vtk_libxml2_xmlFreePattern
#define xmlFreePatternList vtk_libxml2_xmlFreePatternList
#define xmlFreeProp vtk_libxml2_xmlFreeProp
#define xmlFreePropList vtk_libxml2_xmlFreePropList
#define xmlFreeRMutex vtk_libxml2_xmlFreeRMutex
#define xmlFreeRefTable vtk_libxml2_xmlFreeRefTable
#define xmlFreeStreamCtxt vtk_libxml2_xmlFreeStreamCtxt
#define xmlFreeTextReader vtk_libxml2_xmlFreeTextReader
#define xmlFreeTextWriter vtk_libxml2_xmlFreeTextWriter
#define xmlFreeURI vtk_libxml2_xmlFreeURI
#define xmlFreeValidCtxt vtk_libxml2_xmlFreeValidCtxt
#define xmlGcMemGet vtk_libxml2_xmlGcMemGet
#define xmlGcMemSetup vtk_libxml2_xmlGcMemSetup
#define xmlGenericError vtk_libxml2_xmlGenericError
#define xmlGenericErrorContext vtk_libxml2_xmlGenericErrorContext
#define xmlGenericErrorDefaultFunc vtk_libxml2_xmlGenericErrorDefaultFunc
#define xmlGetBufferAllocationScheme vtk_libxml2_xmlGetBufferAllocationScheme
#define xmlGetCharEncodingHandler vtk_libxml2_xmlGetCharEncodingHandler
#define xmlGetCharEncodingName vtk_libxml2_xmlGetCharEncodingName
#define xmlGetCompressMode vtk_libxml2_xmlGetCompressMode
#define xmlGetDocCompressMode vtk_libxml2_xmlGetDocCompressMode
#define xmlGetDocEntity vtk_libxml2_xmlGetDocEntity
#define xmlGetDtdAttrDesc vtk_libxml2_xmlGetDtdAttrDesc
#define xmlGetDtdElementDesc vtk_libxml2_xmlGetDtdElementDesc
#define xmlGetDtdEntity vtk_libxml2_xmlGetDtdEntity
#define xmlGetDtdNotationDesc vtk_libxml2_xmlGetDtdNotationDesc
#define xmlGetDtdQAttrDesc vtk_libxml2_xmlGetDtdQAttrDesc
#define xmlGetDtdQElementDesc vtk_libxml2_xmlGetDtdQElementDesc
#define xmlGetEncodingAlias vtk_libxml2_xmlGetEncodingAlias
#define xmlGetExternalEntityLoader vtk_libxml2_xmlGetExternalEntityLoader
#define xmlGetFeature vtk_libxml2_xmlGetFeature
#define xmlGetFeaturesList vtk_libxml2_xmlGetFeaturesList
#define xmlGetGlobalState vtk_libxml2_xmlGetGlobalState
#define xmlGetID vtk_libxml2_xmlGetID
#define xmlGetIntSubset vtk_libxml2_xmlGetIntSubset
#define xmlGetLastChild vtk_libxml2_xmlGetLastChild
#define xmlGetLastError vtk_libxml2_xmlGetLastError
#define xmlGetLineNo vtk_libxml2_xmlGetLineNo
#define xmlGetNoNsProp vtk_libxml2_xmlGetNoNsProp
#define xmlGetNodePath vtk_libxml2_xmlGetNodePath
#define xmlGetNsList vtk_libxml2_xmlGetNsList
#define xmlGetNsProp vtk_libxml2_xmlGetNsProp
#define xmlGetParameterEntity vtk_libxml2_xmlGetParameterEntity
#define xmlGetPredefinedEntity vtk_libxml2_xmlGetPredefinedEntity
#define xmlGetProp vtk_libxml2_xmlGetProp
#define xmlGetRefs vtk_libxml2_xmlGetRefs
#define xmlGetThreadId vtk_libxml2_xmlGetThreadId
#define xmlGetUTF8Char vtk_libxml2_xmlGetUTF8Char
#define xmlGetWarningsDefaultValue vtk_libxml2_xmlGetWarningsDefaultValue
#define xmlHandleEntity vtk_libxml2_xmlHandleEntity
#define xmlHasFeature vtk_libxml2_xmlHasFeature
#define xmlHasNsProp vtk_libxml2_xmlHasNsProp
#define xmlHasProp vtk_libxml2_xmlHasProp
#define xmlHashAddEntry vtk_libxml2_xmlHashAddEntry
#define xmlHashAddEntry2 vtk_libxml2_xmlHashAddEntry2
#define xmlHashAddEntry3 vtk_libxml2_xmlHashAddEntry3
#define xmlHashCopy vtk_libxml2_xmlHashCopy
#define xmlHashCreate vtk_libxml2_xmlHashCreate
#define xmlHashCreateDict vtk_libxml2_xmlHashCreateDict
#define xmlHashFree vtk_libxml2_xmlHashFree
#define xmlHashLookup vtk_libxml2_xmlHashLookup
#define xmlHashLookup2 vtk_libxml2_xmlHashLookup2
#define xmlHashLookup3 vtk_libxml2_xmlHashLookup3
#define xmlHashQLookup vtk_libxml2_xmlHashQLookup
#define xmlHashQLookup2 vtk_libxml2_xmlHashQLookup2
#define xmlHashQLookup3 vtk_libxml2_xmlHashQLookup3
#define xmlHashRemoveEntry vtk_libxml2_xmlHashRemoveEntry
#define xmlHashRemoveEntry2 vtk_libxml2_xmlHashRemoveEntry2
#define xmlHashRemoveEntry3 vtk_libxml2_xmlHashRemoveEntry3
#define xmlHashScan vtk_libxml2_xmlHashScan
#define xmlHashScan3 vtk_libxml2_xmlHashScan3
#define xmlHashScanFull vtk_libxml2_xmlHashScanFull
#define xmlHashScanFull3 vtk_libxml2_xmlHashScanFull3
#define xmlHashSize vtk_libxml2_xmlHashSize
#define xmlHashUpdateEntry vtk_libxml2_xmlHashUpdateEntry
#define xmlHashUpdateEntry2 vtk_libxml2_xmlHashUpdateEntry2
#define xmlHashUpdateEntry3 vtk_libxml2_xmlHashUpdateEntry3
#define xmlIOParseDTD vtk_libxml2_xmlIOParseDTD
#define xmlIndentTreeOutput vtk_libxml2_xmlIndentTreeOutput
#define xmlInitCharEncodingHandlers vtk_libxml2_xmlInitCharEncodingHandlers
#define xmlInitGlobals vtk_libxml2_xmlInitGlobals
#define xmlInitMemory vtk_libxml2_xmlInitMemory
#define xmlInitNodeInfoSeq vtk_libxml2_xmlInitNodeInfoSeq
#define xmlInitParser vtk_libxml2_xmlInitParser
#define xmlInitParserCtxt vtk_libxml2_xmlInitParserCtxt
#define xmlInitThreads vtk_libxml2_xmlInitThreads
#define xmlInitializeCatalog vtk_libxml2_xmlInitializeCatalog
#define xmlInitializeGlobalState vtk_libxml2_xmlInitializeGlobalState
#define xmlInitializePredefinedEntities vtk_libxml2_xmlInitializePredefinedEntities
#define xmlIsBaseChar vtk_libxml2_xmlIsBaseChar
#define xmlIsBaseCharGroup vtk_libxml2_xmlIsBaseCharGroup
#define xmlIsBlank vtk_libxml2_xmlIsBlank
#define xmlIsBlankNode vtk_libxml2_xmlIsBlankNode
#define xmlIsChar vtk_libxml2_xmlIsChar
#define xmlIsCharGroup vtk_libxml2_xmlIsCharGroup
#define xmlIsCombining vtk_libxml2_xmlIsCombining
#define xmlIsCombiningGroup vtk_libxml2_xmlIsCombiningGroup
#define xmlIsDigit vtk_libxml2_xmlIsDigit
#define xmlIsDigitGroup vtk_libxml2_xmlIsDigitGroup
#define xmlIsExtender vtk_libxml2_xmlIsExtender
#define xmlIsExtenderGroup vtk_libxml2_xmlIsExtenderGroup
#define xmlIsID vtk_libxml2_xmlIsID
#define xmlIsIdeographic vtk_libxml2_xmlIsIdeographic
#define xmlIsIdeographicGroup vtk_libxml2_xmlIsIdeographicGroup
#define xmlIsLetter vtk_libxml2_xmlIsLetter
#define xmlIsMainThread vtk_libxml2_xmlIsMainThread
#define xmlIsMixedElement vtk_libxml2_xmlIsMixedElement
#define xmlIsPubidChar vtk_libxml2_xmlIsPubidChar
#define xmlIsPubidChar_tab vtk_libxml2_xmlIsPubidChar_tab
#define xmlIsRef vtk_libxml2_xmlIsRef
#define xmlIsXHTML vtk_libxml2_xmlIsXHTML
#define xmlKeepBlanksDefault vtk_libxml2_xmlKeepBlanksDefault
#define xmlKeepBlanksDefaultValue vtk_libxml2_xmlKeepBlanksDefaultValue
#define xmlLineNumbersDefault vtk_libxml2_xmlLineNumbersDefault
#define xmlLineNumbersDefaultValue vtk_libxml2_xmlLineNumbersDefaultValue
#define xmlLinkGetData vtk_libxml2_xmlLinkGetData
#define xmlListAppend vtk_libxml2_xmlListAppend
#define xmlListClear vtk_libxml2_xmlListClear
#define xmlListCopy vtk_libxml2_xmlListCopy
#define xmlListCreate vtk_libxml2_xmlListCreate
#define xmlListDelete vtk_libxml2_xmlListDelete
#define xmlListDup vtk_libxml2_xmlListDup
#define xmlListEmpty vtk_libxml2_xmlListEmpty
#define xmlListEnd vtk_libxml2_xmlListEnd
#define xmlListFront vtk_libxml2_xmlListFront
#define xmlListInsert vtk_libxml2_xmlListInsert
#define xmlListMerge vtk_libxml2_xmlListMerge
#define xmlListPopBack vtk_libxml2_xmlListPopBack
#define xmlListPopFront vtk_libxml2_xmlListPopFront
#define xmlListPushBack vtk_libxml2_xmlListPushBack
#define xmlListPushFront vtk_libxml2_xmlListPushFront
#define xmlListRemoveAll vtk_libxml2_xmlListRemoveAll
#define xmlListRemoveFirst vtk_libxml2_xmlListRemoveFirst
#define xmlListRemoveLast vtk_libxml2_xmlListRemoveLast
#define xmlListReverse vtk_libxml2_xmlListReverse
#define xmlListReverseSearch vtk_libxml2_xmlListReverseSearch
#define xmlListReverseWalk vtk_libxml2_xmlListReverseWalk
#define xmlListSearch vtk_libxml2_xmlListSearch
#define xmlListSize vtk_libxml2_xmlListSize
#define xmlListSort vtk_libxml2_xmlListSort
#define xmlListWalk vtk_libxml2_xmlListWalk
#define xmlLoadACatalog vtk_libxml2_xmlLoadACatalog
#define xmlLoadCatalog vtk_libxml2_xmlLoadCatalog
#define xmlLoadCatalogs vtk_libxml2_xmlLoadCatalogs
#define xmlLoadExtDtdDefaultValue vtk_libxml2_xmlLoadExtDtdDefaultValue
#define xmlLoadExternalEntity vtk_libxml2_xmlLoadExternalEntity
#define xmlLoadSGMLSuperCatalog vtk_libxml2_xmlLoadSGMLSuperCatalog
#define xmlLockLibrary vtk_libxml2_xmlLockLibrary
#define xmlMalloc vtk_libxml2_xmlMalloc
#define xmlMallocAtomic vtk_libxml2_xmlMallocAtomic
#define xmlMallocAtomicLoc vtk_libxml2_xmlMallocAtomicLoc
#define xmlMallocBreakpoint vtk_libxml2_xmlMallocBreakpoint
#define xmlMallocLoc vtk_libxml2_xmlMallocLoc
#define xmlMemBlocks vtk_libxml2_xmlMemBlocks
#define xmlMemDisplay vtk_libxml2_xmlMemDisplay
#define xmlMemFree vtk_libxml2_xmlMemFree
#define xmlMemGet vtk_libxml2_xmlMemGet
#define xmlMemMalloc vtk_libxml2_xmlMemMalloc
#define xmlMemRealloc vtk_libxml2_xmlMemRealloc
#define xmlMemSetup vtk_libxml2_xmlMemSetup
#define xmlMemShow vtk_libxml2_xmlMemShow
#define xmlMemStrdup vtk_libxml2_xmlMemStrdup
#define xmlMemStrdupLoc vtk_libxml2_xmlMemStrdupLoc
#define xmlMemUsed vtk_libxml2_xmlMemUsed
#define xmlMemoryDump vtk_libxml2_xmlMemoryDump
#define xmlMemoryStrdup vtk_libxml2_xmlMemoryStrdup
#define xmlModuleClose vtk_libxml2_xmlModuleClose
#define xmlModuleFree vtk_libxml2_xmlModuleFree
#define xmlModuleOpen vtk_libxml2_xmlModuleOpen
#define xmlModuleSymbol vtk_libxml2_xmlModuleSymbol
#define xmlMutexLock vtk_libxml2_xmlMutexLock
#define xmlMutexUnlock vtk_libxml2_xmlMutexUnlock
#define xmlNamespaceParseNCName vtk_libxml2_xmlNamespaceParseNCName
#define xmlNamespaceParseNSDef vtk_libxml2_xmlNamespaceParseNSDef
#define xmlNamespaceParseQName vtk_libxml2_xmlNamespaceParseQName
#define xmlNewAutomata vtk_libxml2_xmlNewAutomata
#define xmlNewCDataBlock vtk_libxml2_xmlNewCDataBlock
#define xmlNewCatalog vtk_libxml2_xmlNewCatalog
#define xmlNewCharEncodingHandler vtk_libxml2_xmlNewCharEncodingHandler
#define xmlNewCharRef vtk_libxml2_xmlNewCharRef
#define xmlNewChild vtk_libxml2_xmlNewChild
#define xmlNewComment vtk_libxml2_xmlNewComment
#define xmlNewDoc vtk_libxml2_xmlNewDoc
#define xmlNewDocComment vtk_libxml2_xmlNewDocComment
#define xmlNewDocElementContent vtk_libxml2_xmlNewDocElementContent
#define xmlNewDocFragment vtk_libxml2_xmlNewDocFragment
#define xmlNewDocNode vtk_libxml2_xmlNewDocNode
#define xmlNewDocNodeEatName vtk_libxml2_xmlNewDocNodeEatName
#define xmlNewDocPI vtk_libxml2_xmlNewDocPI
#define xmlNewDocProp vtk_libxml2_xmlNewDocProp
#define xmlNewDocRawNode vtk_libxml2_xmlNewDocRawNode
#define xmlNewDocText vtk_libxml2_xmlNewDocText
#define xmlNewDocTextLen vtk_libxml2_xmlNewDocTextLen
#define xmlNewDtd vtk_libxml2_xmlNewDtd
#define xmlNewElementContent vtk_libxml2_xmlNewElementContent
#define xmlNewEntityInputStream vtk_libxml2_xmlNewEntityInputStream
#define xmlNewGlobalNs vtk_libxml2_xmlNewGlobalNs
#define xmlNewIOInputStream vtk_libxml2_xmlNewIOInputStream
#define xmlNewInputFromFile vtk_libxml2_xmlNewInputFromFile
#define xmlNewInputStream vtk_libxml2_xmlNewInputStream
#define xmlNewMutex vtk_libxml2_xmlNewMutex
#define xmlNewNode vtk_libxml2_xmlNewNode
#define xmlNewNodeEatName vtk_libxml2_xmlNewNodeEatName
#define xmlNewNs vtk_libxml2_xmlNewNs
#define xmlNewNsProp vtk_libxml2_xmlNewNsProp
#define xmlNewNsPropEatName vtk_libxml2_xmlNewNsPropEatName
#define xmlNewPI vtk_libxml2_xmlNewPI
#define xmlNewParserCtxt vtk_libxml2_xmlNewParserCtxt
#define xmlNewProp vtk_libxml2_xmlNewProp
#define xmlNewRMutex vtk_libxml2_xmlNewRMutex
#define xmlNewReconciliedNs vtk_libxml2_xmlNewReconciliedNs
#define xmlNewReference vtk_libxml2_xmlNewReference
#define xmlNewStringInputStream vtk_libxml2_xmlNewStringInputStream
#define xmlNewText vtk_libxml2_xmlNewText
#define xmlNewTextChild vtk_libxml2_xmlNewTextChild
#define xmlNewTextLen vtk_libxml2_xmlNewTextLen
#define xmlNewTextReader vtk_libxml2_xmlNewTextReader
#define xmlNewTextReaderFilename vtk_libxml2_xmlNewTextReaderFilename
#define xmlNewTextWriter vtk_libxml2_xmlNewTextWriter
#define xmlNewTextWriterDoc vtk_libxml2_xmlNewTextWriterDoc
#define xmlNewTextWriterFilename vtk_libxml2_xmlNewTextWriterFilename
#define xmlNewTextWriterMemory vtk_libxml2_xmlNewTextWriterMemory
#define xmlNewTextWriterPushParser vtk_libxml2_xmlNewTextWriterPushParser
#define xmlNewTextWriterTree vtk_libxml2_xmlNewTextWriterTree
#define xmlNewValidCtxt vtk_libxml2_xmlNewValidCtxt
#define xmlNextChar vtk_libxml2_xmlNextChar
#define xmlNoNetExternalEntityLoader vtk_libxml2_xmlNoNetExternalEntityLoader
#define xmlNodeAddContent vtk_libxml2_xmlNodeAddContent
#define xmlNodeAddContentLen vtk_libxml2_xmlNodeAddContentLen
#define xmlNodeBufGetContent vtk_libxml2_xmlNodeBufGetContent
#define xmlNodeDump vtk_libxml2_xmlNodeDump
#define xmlNodeDumpOutput vtk_libxml2_xmlNodeDumpOutput
#define xmlNodeGetBase vtk_libxml2_xmlNodeGetBase
#define xmlNodeGetContent vtk_libxml2_xmlNodeGetContent
#define xmlNodeGetLang vtk_libxml2_xmlNodeGetLang
#define xmlNodeGetSpacePreserve vtk_libxml2_xmlNodeGetSpacePreserve
#define xmlNodeIsText vtk_libxml2_xmlNodeIsText
#define xmlNodeListGetRawString vtk_libxml2_xmlNodeListGetRawString
#define xmlNodeListGetString vtk_libxml2_xmlNodeListGetString
#define xmlNodeSetBase vtk_libxml2_xmlNodeSetBase
#define xmlNodeSetContent vtk_libxml2_xmlNodeSetContent
#define xmlNodeSetContentLen vtk_libxml2_xmlNodeSetContentLen
#define xmlNodeSetLang vtk_libxml2_xmlNodeSetLang
#define xmlNodeSetName vtk_libxml2_xmlNodeSetName
#define xmlNodeSetSpacePreserve vtk_libxml2_xmlNodeSetSpacePreserve
#define xmlNormalizeURIPath vtk_libxml2_xmlNormalizeURIPath
#define xmlNormalizeWindowsPath vtk_libxml2_xmlNormalizeWindowsPath
#define xmlNsListDumpOutput vtk_libxml2_xmlNsListDumpOutput
#define xmlOutputBufferClose vtk_libxml2_xmlOutputBufferClose
#define xmlOutputBufferCreateBuffer vtk_libxml2_xmlOutputBufferCreateBuffer
#define xmlOutputBufferCreateFd vtk_libxml2_xmlOutputBufferCreateFd
#define xmlOutputBufferCreateFile vtk_libxml2_xmlOutputBufferCreateFile
#define xmlOutputBufferCreateFilename vtk_libxml2_xmlOutputBufferCreateFilename
#define xmlOutputBufferCreateFilenameDefault vtk_libxml2_xmlOutputBufferCreateFilenameDefault
#define xmlOutputBufferCreateFilenameValue vtk_libxml2_xmlOutputBufferCreateFilenameValue
#define xmlOutputBufferCreateIO vtk_libxml2_xmlOutputBufferCreateIO
#define xmlOutputBufferFlush vtk_libxml2_xmlOutputBufferFlush
#define xmlOutputBufferWrite vtk_libxml2_xmlOutputBufferWrite
#define xmlOutputBufferWriteEscape vtk_libxml2_xmlOutputBufferWriteEscape
#define xmlOutputBufferWriteString vtk_libxml2_xmlOutputBufferWriteString
#define xmlParseAttValue vtk_libxml2_xmlParseAttValue
#define xmlParseAttribute vtk_libxml2_xmlParseAttribute
#define xmlParseAttributeListDecl vtk_libxml2_xmlParseAttributeListDecl
#define xmlParseAttributeType vtk_libxml2_xmlParseAttributeType
#define xmlParseBalancedChunkMemory vtk_libxml2_xmlParseBalancedChunkMemory
#define xmlParseBalancedChunkMemoryRecover vtk_libxml2_xmlParseBalancedChunkMemoryRecover
#define xmlParseCDSect vtk_libxml2_xmlParseCDSect
#define xmlParseCatalogFile vtk_libxml2_xmlParseCatalogFile
#define xmlParseCharData vtk_libxml2_xmlParseCharData
#define xmlParseCharDataComplex vtk_libxml2_xmlParseCharDataComplex
#define xmlParseCharEncoding vtk_libxml2_xmlParseCharEncoding
#define xmlParseCharRef vtk_libxml2_xmlParseCharRef
#define xmlParseChunk vtk_libxml2_xmlParseChunk
#define xmlParseComment vtk_libxml2_xmlParseComment
#define xmlParseContent vtk_libxml2_xmlParseContent
#define xmlParseCtxtExternalEntity vtk_libxml2_xmlParseCtxtExternalEntity
#define xmlParseDTD vtk_libxml2_xmlParseDTD
#define xmlParseDefaultDecl vtk_libxml2_xmlParseDefaultDecl
#define xmlParseDoc vtk_libxml2_xmlParseDoc
#define xmlParseDocTypeDecl vtk_libxml2_xmlParseDocTypeDecl
#define xmlParseDocument vtk_libxml2_xmlParseDocument
#define xmlParseElement vtk_libxml2_xmlParseElement
#define xmlParseElementChildrenContentDecl vtk_libxml2_xmlParseElementChildrenContentDecl
#define xmlParseElementContentDecl vtk_libxml2_xmlParseElementContentDecl
#define xmlParseElementDecl vtk_libxml2_xmlParseElementDecl
#define xmlParseElementMixedContentDecl vtk_libxml2_xmlParseElementMixedContentDecl
#define xmlParseEncName vtk_libxml2_xmlParseEncName
#define xmlParseEncodingDecl vtk_libxml2_xmlParseEncodingDecl
#define xmlParseEndTag vtk_libxml2_xmlParseEndTag
#define xmlParseEntity vtk_libxml2_xmlParseEntity
#define xmlParseEntityDecl vtk_libxml2_xmlParseEntityDecl
#define xmlParseEntityRef vtk_libxml2_xmlParseEntityRef
#define xmlParseEntityValue vtk_libxml2_xmlParseEntityValue
#define xmlParseEnumeratedType vtk_libxml2_xmlParseEnumeratedType
#define xmlParseEnumerationType vtk_libxml2_xmlParseEnumerationType
#define xmlParseExtParsedEnt vtk_libxml2_xmlParseExtParsedEnt
#define xmlParseExternalEntity vtk_libxml2_xmlParseExternalEntity
#define xmlParseExternalID vtk_libxml2_xmlParseExternalID
#define xmlParseExternalSubset vtk_libxml2_xmlParseExternalSubset
#define xmlParseFile vtk_libxml2_xmlParseFile
#define xmlParseInNodeContext vtk_libxml2_xmlParseInNodeContext
#define xmlParseMarkupDecl vtk_libxml2_xmlParseMarkupDecl
#define xmlParseMemory vtk_libxml2_xmlParseMemory
#define xmlParseMisc vtk_libxml2_xmlParseMisc
#define xmlParseName vtk_libxml2_xmlParseName
#define xmlParseNamespace vtk_libxml2_xmlParseNamespace
#define xmlParseNmtoken vtk_libxml2_xmlParseNmtoken
#define xmlParseNotationDecl vtk_libxml2_xmlParseNotationDecl
#define xmlParseNotationType vtk_libxml2_xmlParseNotationType
#define xmlParsePEReference vtk_libxml2_xmlParsePEReference
#define xmlParsePI vtk_libxml2_xmlParsePI
#define xmlParsePITarget vtk_libxml2_xmlParsePITarget
#define xmlParsePubidLiteral vtk_libxml2_xmlParsePubidLiteral
#define xmlParseQuotedString vtk_libxml2_xmlParseQuotedString
#define xmlParseReference vtk_libxml2_xmlParseReference
#define xmlParseSDDecl vtk_libxml2_xmlParseSDDecl
#define xmlParseStartTag vtk_libxml2_xmlParseStartTag
#define xmlParseStringEntityRef vtk_libxml2_xmlParseStringEntityRef
#define xmlParseStringPEReference vtk_libxml2_xmlParseStringPEReference
#define xmlParseSystemLiteral vtk_libxml2_xmlParseSystemLiteral
#define xmlParseTextDecl vtk_libxml2_xmlParseTextDecl
#define xmlParseURI vtk_libxml2_xmlParseURI
#define xmlParseURIRaw vtk_libxml2_xmlParseURIRaw
#define xmlParseURIReference vtk_libxml2_xmlParseURIReference
#define xmlParseVersionInfo vtk_libxml2_xmlParseVersionInfo
#define xmlParseVersionNum vtk_libxml2_xmlParseVersionNum
#define xmlParseXMLDecl vtk_libxml2_xmlParseXMLDecl
#define xmlParserAddNodeInfo vtk_libxml2_xmlParserAddNodeInfo
#define xmlParserDebugEntities vtk_libxml2_xmlParserDebugEntities
#define xmlParserError vtk_libxml2_xmlParserError
#define xmlParserFindNodeInfo vtk_libxml2_xmlParserFindNodeInfo
#define xmlParserFindNodeInfoIndex vtk_libxml2_xmlParserFindNodeInfoIndex
#define xmlParserGetDirectory vtk_libxml2_xmlParserGetDirectory
#define xmlParserHandlePEReference vtk_libxml2_xmlParserHandlePEReference
#define xmlParserHandleReference vtk_libxml2_xmlParserHandleReference
#define xmlParserInputBufferCreateFd vtk_libxml2_xmlParserInputBufferCreateFd
#define xmlParserInputBufferCreateFile vtk_libxml2_xmlParserInputBufferCreateFile
#define xmlParserInputBufferCreateFilename vtk_libxml2_xmlParserInputBufferCreateFilename
#define xmlParserInputBufferCreateFilenameDefault vtk_libxml2_xmlParserInputBufferCreateFilenameDefault
#define xmlParserInputBufferCreateFilenameValue vtk_libxml2_xmlParserInputBufferCreateFilenameValue
#define xmlParserInputBufferCreateIO vtk_libxml2_xmlParserInputBufferCreateIO
#define xmlParserInputBufferCreateMem vtk_libxml2_xmlParserInputBufferCreateMem
#define xmlParserInputBufferCreateStatic vtk_libxml2_xmlParserInputBufferCreateStatic
#define xmlParserInputBufferGrow vtk_libxml2_xmlParserInputBufferGrow
#define xmlParserInputBufferPush vtk_libxml2_xmlParserInputBufferPush
#define xmlParserInputBufferRead vtk_libxml2_xmlParserInputBufferRead
#define xmlParserInputGrow vtk_libxml2_xmlParserInputGrow
#define xmlParserInputRead vtk_libxml2_xmlParserInputRead
#define xmlParserInputShrink vtk_libxml2_xmlParserInputShrink
#define xmlParserMaxDepth vtk_libxml2_xmlParserMaxDepth
#define xmlParserPrintFileContext vtk_libxml2_xmlParserPrintFileContext
#define xmlParserPrintFileInfo vtk_libxml2_xmlParserPrintFileInfo
#define xmlParserValidityError vtk_libxml2_xmlParserValidityError
#define xmlParserValidityWarning vtk_libxml2_xmlParserValidityWarning
#define xmlParserVersion vtk_libxml2_xmlParserVersion
#define xmlParserWarning vtk_libxml2_xmlParserWarning
#define xmlPathToURI vtk_libxml2_xmlPathToURI
#define xmlPatternFromRoot vtk_libxml2_xmlPatternFromRoot
#define xmlPatternGetStreamCtxt vtk_libxml2_xmlPatternGetStreamCtxt
#define xmlPatternMatch vtk_libxml2_xmlPatternMatch
#define xmlPatternMaxDepth vtk_libxml2_xmlPatternMaxDepth
#define xmlPatternMinDepth vtk_libxml2_xmlPatternMinDepth
#define xmlPatternStreamable vtk_libxml2_xmlPatternStreamable
#define xmlPatterncompile vtk_libxml2_xmlPatterncompile
#define xmlPedanticParserDefault vtk_libxml2_xmlPedanticParserDefault
#define xmlPedanticParserDefaultValue vtk_libxml2_xmlPedanticParserDefaultValue
#define xmlPopInput vtk_libxml2_xmlPopInput
#define xmlPopInputCallbacks vtk_libxml2_xmlPopInputCallbacks
#define xmlPrintURI vtk_libxml2_xmlPrintURI
#define xmlPushInput vtk_libxml2_xmlPushInput
#define xmlRMutexLock vtk_libxml2_xmlRMutexLock
#define xmlRMutexUnlock vtk_libxml2_xmlRMutexUnlock
#define xmlReadDoc vtk_libxml2_xmlReadDoc
#define xmlReadFd vtk_libxml2_xmlReadFd
#define xmlReadFile vtk_libxml2_xmlReadFile
#define xmlReadIO vtk_libxml2_xmlReadIO
#define xmlReadMemory vtk_libxml2_xmlReadMemory
#define xmlReaderForDoc vtk_libxml2_xmlReaderForDoc
#define xmlReaderForFd vtk_libxml2_xmlReaderForFd
#define xmlReaderForFile vtk_libxml2_xmlReaderForFile
#define xmlReaderForIO vtk_libxml2_xmlReaderForIO
#define xmlReaderForMemory vtk_libxml2_xmlReaderForMemory
#define xmlReaderNewDoc vtk_libxml2_xmlReaderNewDoc
#define xmlReaderNewFd vtk_libxml2_xmlReaderNewFd
#define xmlReaderNewFile vtk_libxml2_xmlReaderNewFile
#define xmlReaderNewIO vtk_libxml2_xmlReaderNewIO
#define xmlReaderNewMemory vtk_libxml2_xmlReaderNewMemory
#define xmlReaderNewWalker vtk_libxml2_xmlReaderNewWalker
#define xmlReaderWalker vtk_libxml2_xmlReaderWalker
#define xmlRealloc vtk_libxml2_xmlRealloc
#define xmlReallocLoc vtk_libxml2_xmlReallocLoc
#define xmlReconciliateNs vtk_libxml2_xmlReconciliateNs
#define xmlRecoverDoc vtk_libxml2_xmlRecoverDoc
#define xmlRecoverFile vtk_libxml2_xmlRecoverFile
#define xmlRecoverMemory vtk_libxml2_xmlRecoverMemory
#define xmlRegExecErrInfo vtk_libxml2_xmlRegExecErrInfo
#define xmlRegExecNextValues vtk_libxml2_xmlRegExecNextValues
#define xmlRegExecPushString vtk_libxml2_xmlRegExecPushString
#define xmlRegExecPushString2 vtk_libxml2_xmlRegExecPushString2
#define xmlRegFreeExecCtxt vtk_libxml2_xmlRegFreeExecCtxt
#define xmlRegFreeRegexp vtk_libxml2_xmlRegFreeRegexp
#define xmlRegNewExecCtxt vtk_libxml2_xmlRegNewExecCtxt
#define xmlRegexpCompile vtk_libxml2_xmlRegexpCompile
#define xmlRegexpExec vtk_libxml2_xmlRegexpExec
#define xmlRegexpIsDeterminist vtk_libxml2_xmlRegexpIsDeterminist
#define xmlRegexpPrint vtk_libxml2_xmlRegexpPrint
#define xmlRegisterCharEncodingHandler vtk_libxml2_xmlRegisterCharEncodingHandler
#define xmlRegisterDefaultInputCallbacks vtk_libxml2_xmlRegisterDefaultInputCallbacks
#define xmlRegisterDefaultOutputCallbacks vtk_libxml2_xmlRegisterDefaultOutputCallbacks
#define xmlRegisterInputCallbacks vtk_libxml2_xmlRegisterInputCallbacks
#define xmlRegisterNodeDefault vtk_libxml2_xmlRegisterNodeDefault
#define xmlRegisterNodeDefaultValue vtk_libxml2_xmlRegisterNodeDefaultValue
#define xmlRegisterOutputCallbacks vtk_libxml2_xmlRegisterOutputCallbacks
#define xmlRelaxNGCleanupTypes vtk_libxml2_xmlRelaxNGCleanupTypes
#define xmlRelaxNGDump vtk_libxml2_xmlRelaxNGDump
#define xmlRelaxNGDumpTree vtk_libxml2_xmlRelaxNGDumpTree
#define xmlRelaxNGFree vtk_libxml2_xmlRelaxNGFree
#define xmlRelaxNGFreeParserCtxt vtk_libxml2_xmlRelaxNGFreeParserCtxt
#define xmlRelaxNGFreeValidCtxt vtk_libxml2_xmlRelaxNGFreeValidCtxt
#define xmlRelaxNGGetParserErrors vtk_libxml2_xmlRelaxNGGetParserErrors
#define xmlRelaxNGGetValidErrors vtk_libxml2_xmlRelaxNGGetValidErrors
#define xmlRelaxNGInitTypes vtk_libxml2_xmlRelaxNGInitTypes
#define xmlRelaxNGNewDocParserCtxt vtk_libxml2_xmlRelaxNGNewDocParserCtxt
#define xmlRelaxNGNewMemParserCtxt vtk_libxml2_xmlRelaxNGNewMemParserCtxt
#define xmlRelaxNGNewParserCtxt vtk_libxml2_xmlRelaxNGNewParserCtxt
#define xmlRelaxNGNewValidCtxt vtk_libxml2_xmlRelaxNGNewValidCtxt
#define xmlRelaxNGParse vtk_libxml2_xmlRelaxNGParse
#define xmlRelaxNGSetParserErrors vtk_libxml2_xmlRelaxNGSetParserErrors
#define xmlRelaxNGSetParserStructuredErrors vtk_libxml2_xmlRelaxNGSetParserStructuredErrors
#define xmlRelaxNGSetValidErrors vtk_libxml2_xmlRelaxNGSetValidErrors
#define xmlRelaxNGSetValidStructuredErrors vtk_libxml2_xmlRelaxNGSetValidStructuredErrors
#define xmlRelaxNGValidateDoc vtk_libxml2_xmlRelaxNGValidateDoc
#define xmlRelaxNGValidateFullElement vtk_libxml2_xmlRelaxNGValidateFullElement
#define xmlRelaxNGValidatePopElement vtk_libxml2_xmlRelaxNGValidatePopElement
#define xmlRelaxNGValidatePushCData vtk_libxml2_xmlRelaxNGValidatePushCData
#define xmlRelaxNGValidatePushElement vtk_libxml2_xmlRelaxNGValidatePushElement
#define xmlRelaxParserSetFlag vtk_libxml2_xmlRelaxParserSetFlag
#define xmlRemoveID vtk_libxml2_xmlRemoveID
#define xmlRemoveProp vtk_libxml2_xmlRemoveProp
#define xmlRemoveRef vtk_libxml2_xmlRemoveRef
#define xmlReplaceNode vtk_libxml2_xmlReplaceNode
#define xmlResetError vtk_libxml2_xmlResetError
#define xmlResetLastError vtk_libxml2_xmlResetLastError
#define xmlResolveResourceFromCatalog vtk_libxml2_xmlResolveResourceFromCatalog
#define xmlSAX2AttributeDecl vtk_libxml2_xmlSAX2AttributeDecl
#define xmlSAX2CDataBlock vtk_libxml2_xmlSAX2CDataBlock
#define xmlSAX2Characters vtk_libxml2_xmlSAX2Characters
#define xmlSAX2Comment vtk_libxml2_xmlSAX2Comment
#define xmlSAX2ElementDecl vtk_libxml2_xmlSAX2ElementDecl
#define xmlSAX2EndDocument vtk_libxml2_xmlSAX2EndDocument
#define xmlSAX2EndElement vtk_libxml2_xmlSAX2EndElement
#define xmlSAX2EndElementNs vtk_libxml2_xmlSAX2EndElementNs
#define xmlSAX2EntityDecl vtk_libxml2_xmlSAX2EntityDecl
#define xmlSAX2ExternalSubset vtk_libxml2_xmlSAX2ExternalSubset
#define xmlSAX2GetColumnNumber vtk_libxml2_xmlSAX2GetColumnNumber
#define xmlSAX2GetEntity vtk_libxml2_xmlSAX2GetEntity
#define xmlSAX2GetLineNumber vtk_libxml2_xmlSAX2GetLineNumber
#define xmlSAX2GetParameterEntity vtk_libxml2_xmlSAX2GetParameterEntity
#define xmlSAX2GetPublicId vtk_libxml2_xmlSAX2GetPublicId
#define xmlSAX2GetSystemId vtk_libxml2_xmlSAX2GetSystemId
#define xmlSAX2HasExternalSubset vtk_libxml2_xmlSAX2HasExternalSubset
#define xmlSAX2HasInternalSubset vtk_libxml2_xmlSAX2HasInternalSubset
#define xmlSAX2IgnorableWhitespace vtk_libxml2_xmlSAX2IgnorableWhitespace
#define xmlSAX2InitDefaultSAXHandler vtk_libxml2_xmlSAX2InitDefaultSAXHandler
#define xmlSAX2InitDocbDefaultSAXHandler vtk_libxml2_xmlSAX2InitDocbDefaultSAXHandler
#define xmlSAX2InitHtmlDefaultSAXHandler vtk_libxml2_xmlSAX2InitHtmlDefaultSAXHandler
#define xmlSAX2InternalSubset vtk_libxml2_xmlSAX2InternalSubset
#define xmlSAX2IsStandalone vtk_libxml2_xmlSAX2IsStandalone
#define xmlSAX2NotationDecl vtk_libxml2_xmlSAX2NotationDecl
#define xmlSAX2ProcessingInstruction vtk_libxml2_xmlSAX2ProcessingInstruction
#define xmlSAX2Reference vtk_libxml2_xmlSAX2Reference
#define xmlSAX2ResolveEntity vtk_libxml2_xmlSAX2ResolveEntity
#define xmlSAX2SetDocumentLocator vtk_libxml2_xmlSAX2SetDocumentLocator
#define xmlSAX2StartDocument vtk_libxml2_xmlSAX2StartDocument
#define xmlSAX2StartElement vtk_libxml2_xmlSAX2StartElement
#define xmlSAX2StartElementNs vtk_libxml2_xmlSAX2StartElementNs
#define xmlSAX2UnparsedEntityDecl vtk_libxml2_xmlSAX2UnparsedEntityDecl
#define xmlSAXDefaultVersion vtk_libxml2_xmlSAXDefaultVersion
#define xmlSAXParseDTD vtk_libxml2_xmlSAXParseDTD
#define xmlSAXParseDoc vtk_libxml2_xmlSAXParseDoc
#define xmlSAXParseEntity vtk_libxml2_xmlSAXParseEntity
#define xmlSAXParseFile vtk_libxml2_xmlSAXParseFile
#define xmlSAXParseFileWithData vtk_libxml2_xmlSAXParseFileWithData
#define xmlSAXParseMemory vtk_libxml2_xmlSAXParseMemory
#define xmlSAXParseMemoryWithData vtk_libxml2_xmlSAXParseMemoryWithData
#define xmlSAXUserParseFile vtk_libxml2_xmlSAXUserParseFile
#define xmlSAXUserParseMemory vtk_libxml2_xmlSAXUserParseMemory
#define xmlSAXVersion vtk_libxml2_xmlSAXVersion
#define xmlSaveClose vtk_libxml2_xmlSaveClose
#define xmlSaveDoc vtk_libxml2_xmlSaveDoc
#define xmlSaveFile vtk_libxml2_xmlSaveFile
#define xmlSaveFileEnc vtk_libxml2_xmlSaveFileEnc
#define xmlSaveFileTo vtk_libxml2_xmlSaveFileTo
#define xmlSaveFlush vtk_libxml2_xmlSaveFlush
#define xmlSaveFormatFile vtk_libxml2_xmlSaveFormatFile
#define xmlSaveFormatFileEnc vtk_libxml2_xmlSaveFormatFileEnc
#define xmlSaveFormatFileTo vtk_libxml2_xmlSaveFormatFileTo
#define xmlSaveNoEmptyTags vtk_libxml2_xmlSaveNoEmptyTags
#define xmlSaveSetAttrEscape vtk_libxml2_xmlSaveSetAttrEscape
#define xmlSaveSetEscape vtk_libxml2_xmlSaveSetEscape
#define xmlSaveToBuffer vtk_libxml2_xmlSaveToBuffer
#define xmlSaveToFd vtk_libxml2_xmlSaveToFd
#define xmlSaveToFilename vtk_libxml2_xmlSaveToFilename
#define xmlSaveToIO vtk_libxml2_xmlSaveToIO
#define xmlSaveTree vtk_libxml2_xmlSaveTree
#define xmlSaveUri vtk_libxml2_xmlSaveUri
#define xmlScanAttributeDecl vtk_libxml2_xmlScanAttributeDecl
#define xmlScanName vtk_libxml2_xmlScanName
#define xmlSchemaCheckFacet vtk_libxml2_xmlSchemaCheckFacet
#define xmlSchemaCleanupTypes vtk_libxml2_xmlSchemaCleanupTypes
#define xmlSchemaCollapseString vtk_libxml2_xmlSchemaCollapseString
#define xmlSchemaCompareValues vtk_libxml2_xmlSchemaCompareValues
#define xmlSchemaCompareValuesWhtsp vtk_libxml2_xmlSchemaCompareValuesWhtsp
#define xmlSchemaCopyValue vtk_libxml2_xmlSchemaCopyValue
#define xmlSchemaDump vtk_libxml2_xmlSchemaDump
#define xmlSchemaFree vtk_libxml2_xmlSchemaFree
#define xmlSchemaFreeFacet vtk_libxml2_xmlSchemaFreeFacet
#define xmlSchemaFreeParserCtxt vtk_libxml2_xmlSchemaFreeParserCtxt
#define xmlSchemaFreeType vtk_libxml2_xmlSchemaFreeType
#define xmlSchemaFreeValidCtxt vtk_libxml2_xmlSchemaFreeValidCtxt
#define xmlSchemaFreeValue vtk_libxml2_xmlSchemaFreeValue
#define xmlSchemaFreeWildcard vtk_libxml2_xmlSchemaFreeWildcard
#define xmlSchemaGetBuiltInListSimpleTypeItemType vtk_libxml2_xmlSchemaGetBuiltInListSimpleTypeItemType
#define xmlSchemaGetBuiltInType vtk_libxml2_xmlSchemaGetBuiltInType
#define xmlSchemaGetCanonValue vtk_libxml2_xmlSchemaGetCanonValue
#define xmlSchemaGetCanonValueWhtsp vtk_libxml2_xmlSchemaGetCanonValueWhtsp
#define xmlSchemaGetFacetValueAsULong vtk_libxml2_xmlSchemaGetFacetValueAsULong
#define xmlSchemaGetParserErrors vtk_libxml2_xmlSchemaGetParserErrors
#define xmlSchemaGetPredefinedType vtk_libxml2_xmlSchemaGetPredefinedType
#define xmlSchemaGetValType vtk_libxml2_xmlSchemaGetValType
#define xmlSchemaGetValidErrors vtk_libxml2_xmlSchemaGetValidErrors
#define xmlSchemaInitTypes vtk_libxml2_xmlSchemaInitTypes
#define xmlSchemaIsBuiltInTypeFacet vtk_libxml2_xmlSchemaIsBuiltInTypeFacet
#define xmlSchemaIsValid vtk_libxml2_xmlSchemaIsValid
#define xmlSchemaNewDocParserCtxt vtk_libxml2_xmlSchemaNewDocParserCtxt
#define xmlSchemaNewFacet vtk_libxml2_xmlSchemaNewFacet
#define xmlSchemaNewMemParserCtxt vtk_libxml2_xmlSchemaNewMemParserCtxt
#define xmlSchemaNewNOTATIONValue vtk_libxml2_xmlSchemaNewNOTATIONValue
#define xmlSchemaNewParserCtxt vtk_libxml2_xmlSchemaNewParserCtxt
#define xmlSchemaNewQNameValue vtk_libxml2_xmlSchemaNewQNameValue
#define xmlSchemaNewStringValue vtk_libxml2_xmlSchemaNewStringValue
#define xmlSchemaNewValidCtxt vtk_libxml2_xmlSchemaNewValidCtxt
#define xmlSchemaParse vtk_libxml2_xmlSchemaParse
#define xmlSchemaSAXPlug vtk_libxml2_xmlSchemaSAXPlug
#define xmlSchemaSAXUnplug vtk_libxml2_xmlSchemaSAXUnplug
#define xmlSchemaSetParserErrors vtk_libxml2_xmlSchemaSetParserErrors
#define xmlSchemaSetParserStructuredErrors vtk_libxml2_xmlSchemaSetParserStructuredErrors
#define xmlSchemaSetValidErrors vtk_libxml2_xmlSchemaSetValidErrors
#define xmlSchemaSetValidOptions vtk_libxml2_xmlSchemaSetValidOptions
#define xmlSchemaSetValidStructuredErrors vtk_libxml2_xmlSchemaSetValidStructuredErrors
#define xmlSchemaValPredefTypeNode vtk_libxml2_xmlSchemaValPredefTypeNode
#define xmlSchemaValPredefTypeNodeNoNorm vtk_libxml2_xmlSchemaValPredefTypeNodeNoNorm
#define xmlSchemaValidCtxtGetOptions vtk_libxml2_xmlSchemaValidCtxtGetOptions
#define xmlSchemaValidateDoc vtk_libxml2_xmlSchemaValidateDoc
#define xmlSchemaValidateFacet vtk_libxml2_xmlSchemaValidateFacet
#define xmlSchemaValidateFacetWhtsp vtk_libxml2_xmlSchemaValidateFacetWhtsp
#define xmlSchemaValidateFile vtk_libxml2_xmlSchemaValidateFile
#define xmlSchemaValidateLengthFacet vtk_libxml2_xmlSchemaValidateLengthFacet
#define xmlSchemaValidateLengthFacetWhtsp vtk_libxml2_xmlSchemaValidateLengthFacetWhtsp
#define xmlSchemaValidateListSimpleTypeFacet vtk_libxml2_xmlSchemaValidateListSimpleTypeFacet
#define xmlSchemaValidateOneElement vtk_libxml2_xmlSchemaValidateOneElement
#define xmlSchemaValidatePredefinedType vtk_libxml2_xmlSchemaValidatePredefinedType
#define xmlSchemaValidateStream vtk_libxml2_xmlSchemaValidateStream
#define xmlSchemaValueAppend vtk_libxml2_xmlSchemaValueAppend
#define xmlSchemaValueGetAsBoolean vtk_libxml2_xmlSchemaValueGetAsBoolean
#define xmlSchemaValueGetAsString vtk_libxml2_xmlSchemaValueGetAsString
#define xmlSchemaValueGetNext vtk_libxml2_xmlSchemaValueGetNext
#define xmlSchemaWhiteSpaceReplace vtk_libxml2_xmlSchemaWhiteSpaceReplace
#define xmlSchematronFree vtk_libxml2_xmlSchematronFree
#define xmlSchematronFreeParserCtxt vtk_libxml2_xmlSchematronFreeParserCtxt
#define xmlSchematronFreeValidCtxt vtk_libxml2_xmlSchematronFreeValidCtxt
#define xmlSchematronNewDocParserCtxt vtk_libxml2_xmlSchematronNewDocParserCtxt
#define xmlSchematronNewMemParserCtxt vtk_libxml2_xmlSchematronNewMemParserCtxt
#define xmlSchematronNewParserCtxt vtk_libxml2_xmlSchematronNewParserCtxt
#define xmlSchematronNewValidCtxt vtk_libxml2_xmlSchematronNewValidCtxt
#define xmlSchematronParse vtk_libxml2_xmlSchematronParse
#define xmlSchematronValidateDoc vtk_libxml2_xmlSchematronValidateDoc
#define xmlSearchNs vtk_libxml2_xmlSearchNs
#define xmlSearchNsByHref vtk_libxml2_xmlSearchNsByHref
#define xmlSetBufferAllocationScheme vtk_libxml2_xmlSetBufferAllocationScheme
#define xmlSetCompressMode vtk_libxml2_xmlSetCompressMode
#define xmlSetDocCompressMode vtk_libxml2_xmlSetDocCompressMode
#define xmlSetEntityReferenceFunc vtk_libxml2_xmlSetEntityReferenceFunc
#define xmlSetExternalEntityLoader vtk_libxml2_xmlSetExternalEntityLoader
#define xmlSetFeature vtk_libxml2_xmlSetFeature
#define xmlSetGenericErrorFunc vtk_libxml2_xmlSetGenericErrorFunc
#define xmlSetListDoc vtk_libxml2_xmlSetListDoc
#define xmlSetNs vtk_libxml2_xmlSetNs
#define xmlSetNsProp vtk_libxml2_xmlSetNsProp
#define xmlSetProp vtk_libxml2_xmlSetProp
#define xmlSetStructuredErrorFunc vtk_libxml2_xmlSetStructuredErrorFunc
#define xmlSetTreeDoc vtk_libxml2_xmlSetTreeDoc
#define xmlSetupParserForBuffer vtk_libxml2_xmlSetupParserForBuffer
#define xmlSkipBlankChars vtk_libxml2_xmlSkipBlankChars
#define xmlSnprintfElementContent vtk_libxml2_xmlSnprintfElementContent
#define xmlSplitQName vtk_libxml2_xmlSplitQName
#define xmlSplitQName2 vtk_libxml2_xmlSplitQName2
#define xmlSplitQName3 vtk_libxml2_xmlSplitQName3
#define xmlSprintfElementContent vtk_libxml2_xmlSprintfElementContent
#define xmlStopParser vtk_libxml2_xmlStopParser
#define xmlStrEqual vtk_libxml2_xmlStrEqual
#define xmlStrPrintf vtk_libxml2_xmlStrPrintf
#define xmlStrQEqual vtk_libxml2_xmlStrQEqual
#define xmlStrVPrintf vtk_libxml2_xmlStrVPrintf
#define xmlStrcasecmp vtk_libxml2_xmlStrcasecmp
#define xmlStrcasestr vtk_libxml2_xmlStrcasestr
#define xmlStrcat vtk_libxml2_xmlStrcat
#define xmlStrchr vtk_libxml2_xmlStrchr
#define xmlStrcmp vtk_libxml2_xmlStrcmp
#define xmlStrdup vtk_libxml2_xmlStrdup
#define xmlStreamPop vtk_libxml2_xmlStreamPop
#define xmlStreamPush vtk_libxml2_xmlStreamPush
#define xmlStreamPushAttr vtk_libxml2_xmlStreamPushAttr
#define xmlStreamPushNode vtk_libxml2_xmlStreamPushNode
#define xmlStreamWantsAnyNode vtk_libxml2_xmlStreamWantsAnyNode
#define xmlStringComment vtk_libxml2_xmlStringComment
#define xmlStringCurrentChar vtk_libxml2_xmlStringCurrentChar
#define xmlStringDecodeEntities vtk_libxml2_xmlStringDecodeEntities
#define xmlStringGetNodeList vtk_libxml2_xmlStringGetNodeList
#define xmlStringLenDecodeEntities vtk_libxml2_xmlStringLenDecodeEntities
#define xmlStringLenGetNodeList vtk_libxml2_xmlStringLenGetNodeList
#define xmlStringText vtk_libxml2_xmlStringText
#define xmlStringTextNoenc vtk_libxml2_xmlStringTextNoenc
#define xmlStrlen vtk_libxml2_xmlStrlen
#define xmlStrncasecmp vtk_libxml2_xmlStrncasecmp
#define xmlStrncat vtk_libxml2_xmlStrncat
#define xmlStrncatNew vtk_libxml2_xmlStrncatNew
#define xmlStrncmp vtk_libxml2_xmlStrncmp
#define xmlStrndup vtk_libxml2_xmlStrndup
#define xmlStrstr vtk_libxml2_xmlStrstr
#define xmlStrsub vtk_libxml2_xmlStrsub
#define xmlStructuredError vtk_libxml2_xmlStructuredError
#define xmlSubstituteEntitiesDefault vtk_libxml2_xmlSubstituteEntitiesDefault
#define xmlSubstituteEntitiesDefaultValue vtk_libxml2_xmlSubstituteEntitiesDefaultValue
#define xmlSwitchEncoding vtk_libxml2_xmlSwitchEncoding
#define xmlSwitchInputEncoding vtk_libxml2_xmlSwitchInputEncoding
#define xmlSwitchToEncoding vtk_libxml2_xmlSwitchToEncoding
#define xmlTextConcat vtk_libxml2_xmlTextConcat
#define xmlTextMerge vtk_libxml2_xmlTextMerge
#define xmlTextReaderAttributeCount vtk_libxml2_xmlTextReaderAttributeCount
#define xmlTextReaderBaseUri vtk_libxml2_xmlTextReaderBaseUri
#define xmlTextReaderByteConsumed vtk_libxml2_xmlTextReaderByteConsumed
#define xmlTextReaderClose vtk_libxml2_xmlTextReaderClose
#define xmlTextReaderConstBaseUri vtk_libxml2_xmlTextReaderConstBaseUri
#define xmlTextReaderConstEncoding vtk_libxml2_xmlTextReaderConstEncoding
#define xmlTextReaderConstLocalName vtk_libxml2_xmlTextReaderConstLocalName
#define xmlTextReaderConstName vtk_libxml2_xmlTextReaderConstName
#define xmlTextReaderConstNamespaceUri vtk_libxml2_xmlTextReaderConstNamespaceUri
#define xmlTextReaderConstPrefix vtk_libxml2_xmlTextReaderConstPrefix
#define xmlTextReaderConstString vtk_libxml2_xmlTextReaderConstString
#define xmlTextReaderConstValue vtk_libxml2_xmlTextReaderConstValue
#define xmlTextReaderConstXmlLang vtk_libxml2_xmlTextReaderConstXmlLang
#define xmlTextReaderConstXmlVersion vtk_libxml2_xmlTextReaderConstXmlVersion
#define xmlTextReaderCurrentDoc vtk_libxml2_xmlTextReaderCurrentDoc
#define xmlTextReaderCurrentNode vtk_libxml2_xmlTextReaderCurrentNode
#define xmlTextReaderDepth vtk_libxml2_xmlTextReaderDepth
#define xmlTextReaderExpand vtk_libxml2_xmlTextReaderExpand
#define xmlTextReaderGetAttribute vtk_libxml2_xmlTextReaderGetAttribute
#define xmlTextReaderGetAttributeNo vtk_libxml2_xmlTextReaderGetAttributeNo
#define xmlTextReaderGetAttributeNs vtk_libxml2_xmlTextReaderGetAttributeNs
#define xmlTextReaderGetErrorHandler vtk_libxml2_xmlTextReaderGetErrorHandler
#define xmlTextReaderGetParserColumnNumber vtk_libxml2_xmlTextReaderGetParserColumnNumber
#define xmlTextReaderGetParserLineNumber vtk_libxml2_xmlTextReaderGetParserLineNumber
#define xmlTextReaderGetParserProp vtk_libxml2_xmlTextReaderGetParserProp
#define xmlTextReaderGetRemainder vtk_libxml2_xmlTextReaderGetRemainder
#define xmlTextReaderHasAttributes vtk_libxml2_xmlTextReaderHasAttributes
#define xmlTextReaderHasValue vtk_libxml2_xmlTextReaderHasValue
#define xmlTextReaderIsDefault vtk_libxml2_xmlTextReaderIsDefault
#define xmlTextReaderIsEmptyElement vtk_libxml2_xmlTextReaderIsEmptyElement
#define xmlTextReaderIsNamespaceDecl vtk_libxml2_xmlTextReaderIsNamespaceDecl
#define xmlTextReaderIsValid vtk_libxml2_xmlTextReaderIsValid
#define xmlTextReaderLocalName vtk_libxml2_xmlTextReaderLocalName
#define xmlTextReaderLocatorBaseURI vtk_libxml2_xmlTextReaderLocatorBaseURI
#define xmlTextReaderLocatorLineNumber vtk_libxml2_xmlTextReaderLocatorLineNumber
#define xmlTextReaderLookupNamespace vtk_libxml2_xmlTextReaderLookupNamespace
#define xmlTextReaderMoveToAttribute vtk_libxml2_xmlTextReaderMoveToAttribute
#define xmlTextReaderMoveToAttributeNo vtk_libxml2_xmlTextReaderMoveToAttributeNo
#define xmlTextReaderMoveToAttributeNs vtk_libxml2_xmlTextReaderMoveToAttributeNs
#define xmlTextReaderMoveToElement vtk_libxml2_xmlTextReaderMoveToElement
#define xmlTextReaderMoveToFirstAttribute vtk_libxml2_xmlTextReaderMoveToFirstAttribute
#define xmlTextReaderMoveToNextAttribute vtk_libxml2_xmlTextReaderMoveToNextAttribute
#define xmlTextReaderName vtk_libxml2_xmlTextReaderName
#define xmlTextReaderNamespaceUri vtk_libxml2_xmlTextReaderNamespaceUri
#define xmlTextReaderNext vtk_libxml2_xmlTextReaderNext
#define xmlTextReaderNextSibling vtk_libxml2_xmlTextReaderNextSibling
#define xmlTextReaderNodeType vtk_libxml2_xmlTextReaderNodeType
#define xmlTextReaderNormalization vtk_libxml2_xmlTextReaderNormalization
#define xmlTextReaderPrefix vtk_libxml2_xmlTextReaderPrefix
#define xmlTextReaderPreserve vtk_libxml2_xmlTextReaderPreserve
#define xmlTextReaderPreservePattern vtk_libxml2_xmlTextReaderPreservePattern
#define xmlTextReaderQuoteChar vtk_libxml2_xmlTextReaderQuoteChar
#define xmlTextReaderRead vtk_libxml2_xmlTextReaderRead
#define xmlTextReaderReadAttributeValue vtk_libxml2_xmlTextReaderReadAttributeValue
#define xmlTextReaderReadInnerXml vtk_libxml2_xmlTextReaderReadInnerXml
#define xmlTextReaderReadOuterXml vtk_libxml2_xmlTextReaderReadOuterXml
#define xmlTextReaderReadState vtk_libxml2_xmlTextReaderReadState
#define xmlTextReaderReadString vtk_libxml2_xmlTextReaderReadString
#define xmlTextReaderRelaxNGSetSchema vtk_libxml2_xmlTextReaderRelaxNGSetSchema
#define xmlTextReaderRelaxNGValidate vtk_libxml2_xmlTextReaderRelaxNGValidate
#define xmlTextReaderSchemaValidate vtk_libxml2_xmlTextReaderSchemaValidate
#define xmlTextReaderSchemaValidateCtxt vtk_libxml2_xmlTextReaderSchemaValidateCtxt
#define xmlTextReaderSetErrorHandler vtk_libxml2_xmlTextReaderSetErrorHandler
#define xmlTextReaderSetParserProp vtk_libxml2_xmlTextReaderSetParserProp
#define xmlTextReaderSetSchema vtk_libxml2_xmlTextReaderSetSchema
#define xmlTextReaderSetStructuredErrorHandler vtk_libxml2_xmlTextReaderSetStructuredErrorHandler
#define xmlTextReaderStandalone vtk_libxml2_xmlTextReaderStandalone
#define xmlTextReaderValue vtk_libxml2_xmlTextReaderValue
#define xmlTextReaderXmlLang vtk_libxml2_xmlTextReaderXmlLang
#define xmlTextWriterEndAttribute vtk_libxml2_xmlTextWriterEndAttribute
#define xmlTextWriterEndCDATA vtk_libxml2_xmlTextWriterEndCDATA
#define xmlTextWriterEndComment vtk_libxml2_xmlTextWriterEndComment
#define xmlTextWriterEndDTD vtk_libxml2_xmlTextWriterEndDTD
#define xmlTextWriterEndDTDAttlist vtk_libxml2_xmlTextWriterEndDTDAttlist
#define xmlTextWriterEndDTDElement vtk_libxml2_xmlTextWriterEndDTDElement
#define xmlTextWriterEndDTDEntity vtk_libxml2_xmlTextWriterEndDTDEntity
#define xmlTextWriterEndDocument vtk_libxml2_xmlTextWriterEndDocument
#define xmlTextWriterEndElement vtk_libxml2_xmlTextWriterEndElement
#define xmlTextWriterEndPI vtk_libxml2_xmlTextWriterEndPI
#define xmlTextWriterFlush vtk_libxml2_xmlTextWriterFlush
#define xmlTextWriterFullEndElement vtk_libxml2_xmlTextWriterFullEndElement
#define xmlTextWriterSetIndent vtk_libxml2_xmlTextWriterSetIndent
#define xmlTextWriterSetIndentString vtk_libxml2_xmlTextWriterSetIndentString
#define xmlTextWriterStartAttribute vtk_libxml2_xmlTextWriterStartAttribute
#define xmlTextWriterStartAttributeNS vtk_libxml2_xmlTextWriterStartAttributeNS
#define xmlTextWriterStartCDATA vtk_libxml2_xmlTextWriterStartCDATA
#define xmlTextWriterStartComment vtk_libxml2_xmlTextWriterStartComment
#define xmlTextWriterStartDTD vtk_libxml2_xmlTextWriterStartDTD
#define xmlTextWriterStartDTDAttlist vtk_libxml2_xmlTextWriterStartDTDAttlist
#define xmlTextWriterStartDTDElement vtk_libxml2_xmlTextWriterStartDTDElement
#define xmlTextWriterStartDTDEntity vtk_libxml2_xmlTextWriterStartDTDEntity
#define xmlTextWriterStartDocument vtk_libxml2_xmlTextWriterStartDocument
#define xmlTextWriterStartElement vtk_libxml2_xmlTextWriterStartElement
#define xmlTextWriterStartElementNS vtk_libxml2_xmlTextWriterStartElementNS
#define xmlTextWriterStartPI vtk_libxml2_xmlTextWriterStartPI
#define xmlTextWriterWriteAttribute vtk_libxml2_xmlTextWriterWriteAttribute
#define xmlTextWriterWriteAttributeNS vtk_libxml2_xmlTextWriterWriteAttributeNS
#define xmlTextWriterWriteBase64 vtk_libxml2_xmlTextWriterWriteBase64
#define xmlTextWriterWriteBinHex vtk_libxml2_xmlTextWriterWriteBinHex
#define xmlTextWriterWriteCDATA vtk_libxml2_xmlTextWriterWriteCDATA
#define xmlTextWriterWriteComment vtk_libxml2_xmlTextWriterWriteComment
#define xmlTextWriterWriteDTD vtk_libxml2_xmlTextWriterWriteDTD
#define xmlTextWriterWriteDTDAttlist vtk_libxml2_xmlTextWriterWriteDTDAttlist
#define xmlTextWriterWriteDTDElement vtk_libxml2_xmlTextWriterWriteDTDElement
#define xmlTextWriterWriteDTDEntity vtk_libxml2_xmlTextWriterWriteDTDEntity
#define xmlTextWriterWriteDTDExternalEntity vtk_libxml2_xmlTextWriterWriteDTDExternalEntity
#define xmlTextWriterWriteDTDExternalEntityContents vtk_libxml2_xmlTextWriterWriteDTDExternalEntityContents
#define xmlTextWriterWriteDTDInternalEntity vtk_libxml2_xmlTextWriterWriteDTDInternalEntity
#define xmlTextWriterWriteDTDNotation vtk_libxml2_xmlTextWriterWriteDTDNotation
#define xmlTextWriterWriteElement vtk_libxml2_xmlTextWriterWriteElement
#define xmlTextWriterWriteElementNS vtk_libxml2_xmlTextWriterWriteElementNS
#define xmlTextWriterWriteFormatAttribute vtk_libxml2_xmlTextWriterWriteFormatAttribute
#define xmlTextWriterWriteFormatAttributeNS vtk_libxml2_xmlTextWriterWriteFormatAttributeNS
#define xmlTextWriterWriteFormatCDATA vtk_libxml2_xmlTextWriterWriteFormatCDATA
#define xmlTextWriterWriteFormatComment vtk_libxml2_xmlTextWriterWriteFormatComment
#define xmlTextWriterWriteFormatDTD vtk_libxml2_xmlTextWriterWriteFormatDTD
#define xmlTextWriterWriteFormatDTDAttlist vtk_libxml2_xmlTextWriterWriteFormatDTDAttlist
#define xmlTextWriterWriteFormatDTDElement vtk_libxml2_xmlTextWriterWriteFormatDTDElement
#define xmlTextWriterWriteFormatDTDInternalEntity vtk_libxml2_xmlTextWriterWriteFormatDTDInternalEntity
#define xmlTextWriterWriteFormatElement vtk_libxml2_xmlTextWriterWriteFormatElement
#define xmlTextWriterWriteFormatElementNS vtk_libxml2_xmlTextWriterWriteFormatElementNS
#define xmlTextWriterWriteFormatPI vtk_libxml2_xmlTextWriterWriteFormatPI
#define xmlTextWriterWriteFormatRaw vtk_libxml2_xmlTextWriterWriteFormatRaw
#define xmlTextWriterWriteFormatString vtk_libxml2_xmlTextWriterWriteFormatString
#define xmlTextWriterWritePI vtk_libxml2_xmlTextWriterWritePI
#define xmlTextWriterWriteRaw vtk_libxml2_xmlTextWriterWriteRaw
#define xmlTextWriterWriteRawLen vtk_libxml2_xmlTextWriterWriteRawLen
#define xmlTextWriterWriteString vtk_libxml2_xmlTextWriterWriteString
#define xmlTextWriterWriteVFormatAttribute vtk_libxml2_xmlTextWriterWriteVFormatAttribute
#define xmlTextWriterWriteVFormatAttributeNS vtk_libxml2_xmlTextWriterWriteVFormatAttributeNS
#define xmlTextWriterWriteVFormatCDATA vtk_libxml2_xmlTextWriterWriteVFormatCDATA
#define xmlTextWriterWriteVFormatComment vtk_libxml2_xmlTextWriterWriteVFormatComment
#define xmlTextWriterWriteVFormatDTD vtk_libxml2_xmlTextWriterWriteVFormatDTD
#define xmlTextWriterWriteVFormatDTDAttlist vtk_libxml2_xmlTextWriterWriteVFormatDTDAttlist
#define xmlTextWriterWriteVFormatDTDElement vtk_libxml2_xmlTextWriterWriteVFormatDTDElement
#define xmlTextWriterWriteVFormatDTDInternalEntity vtk_libxml2_xmlTextWriterWriteVFormatDTDInternalEntity
#define xmlTextWriterWriteVFormatElement vtk_libxml2_xmlTextWriterWriteVFormatElement
#define xmlTextWriterWriteVFormatElementNS vtk_libxml2_xmlTextWriterWriteVFormatElementNS
#define xmlTextWriterWriteVFormatPI vtk_libxml2_xmlTextWriterWriteVFormatPI
#define xmlTextWriterWriteVFormatRaw vtk_libxml2_xmlTextWriterWriteVFormatRaw
#define xmlTextWriterWriteVFormatString vtk_libxml2_xmlTextWriterWriteVFormatString
#define xmlThrDefBufferAllocScheme vtk_libxml2_xmlThrDefBufferAllocScheme
#define xmlThrDefDefaultBufferSize vtk_libxml2_xmlThrDefDefaultBufferSize
#define xmlThrDefDeregisterNodeDefault vtk_libxml2_xmlThrDefDeregisterNodeDefault
#define xmlThrDefDoValidityCheckingDefaultValue vtk_libxml2_xmlThrDefDoValidityCheckingDefaultValue
#define xmlThrDefGetWarningsDefaultValue vtk_libxml2_xmlThrDefGetWarningsDefaultValue
#define xmlThrDefIndentTreeOutput vtk_libxml2_xmlThrDefIndentTreeOutput
#define xmlThrDefKeepBlanksDefaultValue vtk_libxml2_xmlThrDefKeepBlanksDefaultValue
#define xmlThrDefLineNumbersDefaultValue vtk_libxml2_xmlThrDefLineNumbersDefaultValue
#define xmlThrDefLoadExtDtdDefaultValue vtk_libxml2_xmlThrDefLoadExtDtdDefaultValue
#define xmlThrDefOutputBufferCreateFilenameDefault vtk_libxml2_xmlThrDefOutputBufferCreateFilenameDefault
#define xmlThrDefParserDebugEntities vtk_libxml2_xmlThrDefParserDebugEntities
#define xmlThrDefParserInputBufferCreateFilenameDefault vtk_libxml2_xmlThrDefParserInputBufferCreateFilenameDefault
#define xmlThrDefPedanticParserDefaultValue vtk_libxml2_xmlThrDefPedanticParserDefaultValue
#define xmlThrDefRegisterNodeDefault vtk_libxml2_xmlThrDefRegisterNodeDefault
#define xmlThrDefSaveNoEmptyTags vtk_libxml2_xmlThrDefSaveNoEmptyTags
#define xmlThrDefSetGenericErrorFunc vtk_libxml2_xmlThrDefSetGenericErrorFunc
#define xmlThrDefSetStructuredErrorFunc vtk_libxml2_xmlThrDefSetStructuredErrorFunc
#define xmlThrDefSubstituteEntitiesDefaultValue vtk_libxml2_xmlThrDefSubstituteEntitiesDefaultValue
#define xmlThrDefTreeIndentString vtk_libxml2_xmlThrDefTreeIndentString
#define xmlTreeIndentString vtk_libxml2_xmlTreeIndentString
#define xmlUCSIsAegeanNumbers vtk_libxml2_xmlUCSIsAegeanNumbers
#define xmlUCSIsAlphabeticPresentationForms vtk_libxml2_xmlUCSIsAlphabeticPresentationForms
#define xmlUCSIsArabic vtk_libxml2_xmlUCSIsArabic
#define xmlUCSIsArabicPresentationFormsA vtk_libxml2_xmlUCSIsArabicPresentationFormsA
#define xmlUCSIsArabicPresentationFormsB vtk_libxml2_xmlUCSIsArabicPresentationFormsB
#define xmlUCSIsArmenian vtk_libxml2_xmlUCSIsArmenian
#define xmlUCSIsArrows vtk_libxml2_xmlUCSIsArrows
#define xmlUCSIsBasicLatin vtk_libxml2_xmlUCSIsBasicLatin
#define xmlUCSIsBengali vtk_libxml2_xmlUCSIsBengali
#define xmlUCSIsBlock vtk_libxml2_xmlUCSIsBlock
#define xmlUCSIsBlockElements vtk_libxml2_xmlUCSIsBlockElements
#define xmlUCSIsBopomofo vtk_libxml2_xmlUCSIsBopomofo
#define xmlUCSIsBopomofoExtended vtk_libxml2_xmlUCSIsBopomofoExtended
#define xmlUCSIsBoxDrawing vtk_libxml2_xmlUCSIsBoxDrawing
#define xmlUCSIsBraillePatterns vtk_libxml2_xmlUCSIsBraillePatterns
#define xmlUCSIsBuhid vtk_libxml2_xmlUCSIsBuhid
#define xmlUCSIsByzantineMusicalSymbols vtk_libxml2_xmlUCSIsByzantineMusicalSymbols
#define xmlUCSIsCJKCompatibility vtk_libxml2_xmlUCSIsCJKCompatibility
#define xmlUCSIsCJKCompatibilityForms vtk_libxml2_xmlUCSIsCJKCompatibilityForms
#define xmlUCSIsCJKCompatibilityIdeographs vtk_libxml2_xmlUCSIsCJKCompatibilityIdeographs
#define xmlUCSIsCJKCompatibilityIdeographsSupplement vtk_libxml2_xmlUCSIsCJKCompatibilityIdeographsSupplement
#define xmlUCSIsCJKRadicalsSupplement vtk_libxml2_xmlUCSIsCJKRadicalsSupplement
#define xmlUCSIsCJKSymbolsandPunctuation vtk_libxml2_xmlUCSIsCJKSymbolsandPunctuation
#define xmlUCSIsCJKUnifiedIdeographs vtk_libxml2_xmlUCSIsCJKUnifiedIdeographs
#define xmlUCSIsCJKUnifiedIdeographsExtensionA vtk_libxml2_xmlUCSIsCJKUnifiedIdeographsExtensionA
#define xmlUCSIsCJKUnifiedIdeographsExtensionB vtk_libxml2_xmlUCSIsCJKUnifiedIdeographsExtensionB
#define xmlUCSIsCat vtk_libxml2_xmlUCSIsCat
#define xmlUCSIsCatC vtk_libxml2_xmlUCSIsCatC
#define xmlUCSIsCatCc vtk_libxml2_xmlUCSIsCatCc
#define xmlUCSIsCatCf vtk_libxml2_xmlUCSIsCatCf
#define xmlUCSIsCatCo vtk_libxml2_xmlUCSIsCatCo
#define xmlUCSIsCatCs vtk_libxml2_xmlUCSIsCatCs
#define xmlUCSIsCatL vtk_libxml2_xmlUCSIsCatL
#define xmlUCSIsCatLl vtk_libxml2_xmlUCSIsCatLl
#define xmlUCSIsCatLm vtk_libxml2_xmlUCSIsCatLm
#define xmlUCSIsCatLo vtk_libxml2_xmlUCSIsCatLo
#define xmlUCSIsCatLt vtk_libxml2_xmlUCSIsCatLt
#define xmlUCSIsCatLu vtk_libxml2_xmlUCSIsCatLu
#define xmlUCSIsCatM vtk_libxml2_xmlUCSIsCatM
#define xmlUCSIsCatMc vtk_libxml2_xmlUCSIsCatMc
#define xmlUCSIsCatMe vtk_libxml2_xmlUCSIsCatMe
#define xmlUCSIsCatMn vtk_libxml2_xmlUCSIsCatMn
#define xmlUCSIsCatN vtk_libxml2_xmlUCSIsCatN
#define xmlUCSIsCatNd vtk_libxml2_xmlUCSIsCatNd
#define xmlUCSIsCatNl vtk_libxml2_xmlUCSIsCatNl
#define xmlUCSIsCatNo vtk_libxml2_xmlUCSIsCatNo
#define xmlUCSIsCatP vtk_libxml2_xmlUCSIsCatP
#define xmlUCSIsCatPc vtk_libxml2_xmlUCSIsCatPc
#define xmlUCSIsCatPd vtk_libxml2_xmlUCSIsCatPd
#define xmlUCSIsCatPe vtk_libxml2_xmlUCSIsCatPe
#define xmlUCSIsCatPf vtk_libxml2_xmlUCSIsCatPf
#define xmlUCSIsCatPi vtk_libxml2_xmlUCSIsCatPi
#define xmlUCSIsCatPo vtk_libxml2_xmlUCSIsCatPo
#define xmlUCSIsCatPs vtk_libxml2_xmlUCSIsCatPs
#define xmlUCSIsCatS vtk_libxml2_xmlUCSIsCatS
#define xmlUCSIsCatSc vtk_libxml2_xmlUCSIsCatSc
#define xmlUCSIsCatSk vtk_libxml2_xmlUCSIsCatSk
#define xmlUCSIsCatSm vtk_libxml2_xmlUCSIsCatSm
#define xmlUCSIsCatSo vtk_libxml2_xmlUCSIsCatSo
#define xmlUCSIsCatZ vtk_libxml2_xmlUCSIsCatZ
#define xmlUCSIsCatZl vtk_libxml2_xmlUCSIsCatZl
#define xmlUCSIsCatZp vtk_libxml2_xmlUCSIsCatZp
#define xmlUCSIsCatZs vtk_libxml2_xmlUCSIsCatZs
#define xmlUCSIsCherokee vtk_libxml2_xmlUCSIsCherokee
#define xmlUCSIsCombiningDiacriticalMarks vtk_libxml2_xmlUCSIsCombiningDiacriticalMarks
#define xmlUCSIsCombiningDiacriticalMarksforSymbols vtk_libxml2_xmlUCSIsCombiningDiacriticalMarksforSymbols
#define xmlUCSIsCombiningHalfMarks vtk_libxml2_xmlUCSIsCombiningHalfMarks
#define xmlUCSIsCombiningMarksforSymbols vtk_libxml2_xmlUCSIsCombiningMarksforSymbols
#define xmlUCSIsControlPictures vtk_libxml2_xmlUCSIsControlPictures
#define xmlUCSIsCurrencySymbols vtk_libxml2_xmlUCSIsCurrencySymbols
#define xmlUCSIsCypriotSyllabary vtk_libxml2_xmlUCSIsCypriotSyllabary
#define xmlUCSIsCyrillic vtk_libxml2_xmlUCSIsCyrillic
#define xmlUCSIsCyrillicSupplement vtk_libxml2_xmlUCSIsCyrillicSupplement
#define xmlUCSIsDeseret vtk_libxml2_xmlUCSIsDeseret
#define xmlUCSIsDevanagari vtk_libxml2_xmlUCSIsDevanagari
#define xmlUCSIsDingbats vtk_libxml2_xmlUCSIsDingbats
#define xmlUCSIsEnclosedAlphanumerics vtk_libxml2_xmlUCSIsEnclosedAlphanumerics
#define xmlUCSIsEnclosedCJKLettersandMonths vtk_libxml2_xmlUCSIsEnclosedCJKLettersandMonths
#define xmlUCSIsEthiopic vtk_libxml2_xmlUCSIsEthiopic
#define xmlUCSIsGeneralPunctuation vtk_libxml2_xmlUCSIsGeneralPunctuation
#define xmlUCSIsGeometricShapes vtk_libxml2_xmlUCSIsGeometricShapes
#define xmlUCSIsGeorgian vtk_libxml2_xmlUCSIsGeorgian
#define xmlUCSIsGothic vtk_libxml2_xmlUCSIsGothic
#define xmlUCSIsGreek vtk_libxml2_xmlUCSIsGreek
#define xmlUCSIsGreekExtended vtk_libxml2_xmlUCSIsGreekExtended
#define xmlUCSIsGreekandCoptic vtk_libxml2_xmlUCSIsGreekandCoptic
#define xmlUCSIsGujarati vtk_libxml2_xmlUCSIsGujarati
#define xmlUCSIsGurmukhi vtk_libxml2_xmlUCSIsGurmukhi
#define xmlUCSIsHalfwidthandFullwidthForms vtk_libxml2_xmlUCSIsHalfwidthandFullwidthForms
#define xmlUCSIsHangulCompatibilityJamo vtk_libxml2_xmlUCSIsHangulCompatibilityJamo
#define xmlUCSIsHangulJamo vtk_libxml2_xmlUCSIsHangulJamo
#define xmlUCSIsHangulSyllables vtk_libxml2_xmlUCSIsHangulSyllables
#define xmlUCSIsHanunoo vtk_libxml2_xmlUCSIsHanunoo
#define xmlUCSIsHebrew vtk_libxml2_xmlUCSIsHebrew
#define xmlUCSIsHighPrivateUseSurrogates vtk_libxml2_xmlUCSIsHighPrivateUseSurrogates
#define xmlUCSIsHighSurrogates vtk_libxml2_xmlUCSIsHighSurrogates
#define xmlUCSIsHiragana vtk_libxml2_xmlUCSIsHiragana
#define xmlUCSIsIPAExtensions vtk_libxml2_xmlUCSIsIPAExtensions
#define xmlUCSIsIdeographicDescriptionCharacters vtk_libxml2_xmlUCSIsIdeographicDescriptionCharacters
#define xmlUCSIsKanbun vtk_libxml2_xmlUCSIsKanbun
#define xmlUCSIsKangxiRadicals vtk_libxml2_xmlUCSIsKangxiRadicals
#define xmlUCSIsKannada vtk_libxml2_xmlUCSIsKannada
#define xmlUCSIsKatakana vtk_libxml2_xmlUCSIsKatakana
#define xmlUCSIsKatakanaPhoneticExtensions vtk_libxml2_xmlUCSIsKatakanaPhoneticExtensions
#define xmlUCSIsKhmer vtk_libxml2_xmlUCSIsKhmer
#define xmlUCSIsKhmerSymbols vtk_libxml2_xmlUCSIsKhmerSymbols
#define xmlUCSIsLao vtk_libxml2_xmlUCSIsLao
#define xmlUCSIsLatin1Supplement vtk_libxml2_xmlUCSIsLatin1Supplement
#define xmlUCSIsLatinExtendedA vtk_libxml2_xmlUCSIsLatinExtendedA
#define xmlUCSIsLatinExtendedAdditional vtk_libxml2_xmlUCSIsLatinExtendedAdditional
#define xmlUCSIsLatinExtendedB vtk_libxml2_xmlUCSIsLatinExtendedB
#define xmlUCSIsLetterlikeSymbols vtk_libxml2_xmlUCSIsLetterlikeSymbols
#define xmlUCSIsLimbu vtk_libxml2_xmlUCSIsLimbu
#define xmlUCSIsLinearBIdeograms vtk_libxml2_xmlUCSIsLinearBIdeograms
#define xmlUCSIsLinearBSyllabary vtk_libxml2_xmlUCSIsLinearBSyllabary
#define xmlUCSIsLowSurrogates vtk_libxml2_xmlUCSIsLowSurrogates
#define xmlUCSIsMalayalam vtk_libxml2_xmlUCSIsMalayalam
#define xmlUCSIsMathematicalAlphanumericSymbols vtk_libxml2_xmlUCSIsMathematicalAlphanumericSymbols
#define xmlUCSIsMathematicalOperators vtk_libxml2_xmlUCSIsMathematicalOperators
#define xmlUCSIsMiscellaneousMathematicalSymbolsA vtk_libxml2_xmlUCSIsMiscellaneousMathematicalSymbolsA
#define xmlUCSIsMiscellaneousMathematicalSymbolsB vtk_libxml2_xmlUCSIsMiscellaneousMathematicalSymbolsB
#define xmlUCSIsMiscellaneousSymbols vtk_libxml2_xmlUCSIsMiscellaneousSymbols
#define xmlUCSIsMiscellaneousSymbolsandArrows vtk_libxml2_xmlUCSIsMiscellaneousSymbolsandArrows
#define xmlUCSIsMiscellaneousTechnical vtk_libxml2_xmlUCSIsMiscellaneousTechnical
#define xmlUCSIsMongolian vtk_libxml2_xmlUCSIsMongolian
#define xmlUCSIsMusicalSymbols vtk_libxml2_xmlUCSIsMusicalSymbols
#define xmlUCSIsMyanmar vtk_libxml2_xmlUCSIsMyanmar
#define xmlUCSIsNumberForms vtk_libxml2_xmlUCSIsNumberForms
#define xmlUCSIsOgham vtk_libxml2_xmlUCSIsOgham
#define xmlUCSIsOldItalic vtk_libxml2_xmlUCSIsOldItalic
#define xmlUCSIsOpticalCharacterRecognition vtk_libxml2_xmlUCSIsOpticalCharacterRecognition
#define xmlUCSIsOriya vtk_libxml2_xmlUCSIsOriya
#define xmlUCSIsOsmanya vtk_libxml2_xmlUCSIsOsmanya
#define xmlUCSIsPhoneticExtensions vtk_libxml2_xmlUCSIsPhoneticExtensions
#define xmlUCSIsPrivateUse vtk_libxml2_xmlUCSIsPrivateUse
#define xmlUCSIsPrivateUseArea vtk_libxml2_xmlUCSIsPrivateUseArea
#define xmlUCSIsRunic vtk_libxml2_xmlUCSIsRunic
#define xmlUCSIsShavian vtk_libxml2_xmlUCSIsShavian
#define xmlUCSIsSinhala vtk_libxml2_xmlUCSIsSinhala
#define xmlUCSIsSmallFormVariants vtk_libxml2_xmlUCSIsSmallFormVariants
#define xmlUCSIsSpacingModifierLetters vtk_libxml2_xmlUCSIsSpacingModifierLetters
#define xmlUCSIsSpecials vtk_libxml2_xmlUCSIsSpecials
#define xmlUCSIsSuperscriptsandSubscripts vtk_libxml2_xmlUCSIsSuperscriptsandSubscripts
#define xmlUCSIsSupplementalArrowsA vtk_libxml2_xmlUCSIsSupplementalArrowsA
#define xmlUCSIsSupplementalArrowsB vtk_libxml2_xmlUCSIsSupplementalArrowsB
#define xmlUCSIsSupplementalMathematicalOperators vtk_libxml2_xmlUCSIsSupplementalMathematicalOperators
#define xmlUCSIsSupplementaryPrivateUseAreaA vtk_libxml2_xmlUCSIsSupplementaryPrivateUseAreaA
#define xmlUCSIsSupplementaryPrivateUseAreaB vtk_libxml2_xmlUCSIsSupplementaryPrivateUseAreaB
#define xmlUCSIsSyriac vtk_libxml2_xmlUCSIsSyriac
#define xmlUCSIsTagalog vtk_libxml2_xmlUCSIsTagalog
#define xmlUCSIsTagbanwa vtk_libxml2_xmlUCSIsTagbanwa
#define xmlUCSIsTags vtk_libxml2_xmlUCSIsTags
#define xmlUCSIsTaiLe vtk_libxml2_xmlUCSIsTaiLe
#define xmlUCSIsTaiXuanJingSymbols vtk_libxml2_xmlUCSIsTaiXuanJingSymbols
#define xmlUCSIsTamil vtk_libxml2_xmlUCSIsTamil
#define xmlUCSIsTelugu vtk_libxml2_xmlUCSIsTelugu
#define xmlUCSIsThaana vtk_libxml2_xmlUCSIsThaana
#define xmlUCSIsThai vtk_libxml2_xmlUCSIsThai
#define xmlUCSIsTibetan vtk_libxml2_xmlUCSIsTibetan
#define xmlUCSIsUgaritic vtk_libxml2_xmlUCSIsUgaritic
#define xmlUCSIsUnifiedCanadianAboriginalSyllabics vtk_libxml2_xmlUCSIsUnifiedCanadianAboriginalSyllabics
#define xmlUCSIsVariationSelectors vtk_libxml2_xmlUCSIsVariationSelectors
#define xmlUCSIsVariationSelectorsSupplement vtk_libxml2_xmlUCSIsVariationSelectorsSupplement
#define xmlUCSIsYiRadicals vtk_libxml2_xmlUCSIsYiRadicals
#define xmlUCSIsYiSyllables vtk_libxml2_xmlUCSIsYiSyllables
#define xmlUCSIsYijingHexagramSymbols vtk_libxml2_xmlUCSIsYijingHexagramSymbols
#define xmlURIEscape vtk_libxml2_xmlURIEscape
#define xmlURIEscapeStr vtk_libxml2_xmlURIEscapeStr
#define xmlURIUnescapeString vtk_libxml2_xmlURIUnescapeString
#define xmlUTF8Charcmp vtk_libxml2_xmlUTF8Charcmp
#define xmlUTF8Size vtk_libxml2_xmlUTF8Size
#define xmlUTF8Strlen vtk_libxml2_xmlUTF8Strlen
#define xmlUTF8Strloc vtk_libxml2_xmlUTF8Strloc
#define xmlUTF8Strndup vtk_libxml2_xmlUTF8Strndup
#define xmlUTF8Strpos vtk_libxml2_xmlUTF8Strpos
#define xmlUTF8Strsize vtk_libxml2_xmlUTF8Strsize
#define xmlUTF8Strsub vtk_libxml2_xmlUTF8Strsub
#define xmlUnlinkNode vtk_libxml2_xmlUnlinkNode
#define xmlUnlockLibrary vtk_libxml2_xmlUnlockLibrary
#define xmlUnsetNsProp vtk_libxml2_xmlUnsetNsProp
#define xmlUnsetProp vtk_libxml2_xmlUnsetProp
#define xmlUpgradeOldNs vtk_libxml2_xmlUpgradeOldNs
#define xmlValidBuildContentModel vtk_libxml2_xmlValidBuildContentModel
#define xmlValidCtxtNormalizeAttributeValue vtk_libxml2_xmlValidCtxtNormalizeAttributeValue
#define xmlValidGetPotentialChildren vtk_libxml2_xmlValidGetPotentialChildren
#define xmlValidGetValidElements vtk_libxml2_xmlValidGetValidElements
#define xmlValidNormalizeAttributeValue vtk_libxml2_xmlValidNormalizeAttributeValue
#define xmlValidateAttributeDecl vtk_libxml2_xmlValidateAttributeDecl
#define xmlValidateAttributeValue vtk_libxml2_xmlValidateAttributeValue
#define xmlValidateDocument vtk_libxml2_xmlValidateDocument
#define xmlValidateDocumentFinal vtk_libxml2_xmlValidateDocumentFinal
#define xmlValidateDtd vtk_libxml2_xmlValidateDtd
#define xmlValidateDtdFinal vtk_libxml2_xmlValidateDtdFinal
#define xmlValidateElement vtk_libxml2_xmlValidateElement
#define xmlValidateElementDecl vtk_libxml2_xmlValidateElementDecl
#define xmlValidateNCName vtk_libxml2_xmlValidateNCName
#define xmlValidateNMToken vtk_libxml2_xmlValidateNMToken
#define xmlValidateName vtk_libxml2_xmlValidateName
#define xmlValidateNameValue vtk_libxml2_xmlValidateNameValue
#define xmlValidateNamesValue vtk_libxml2_xmlValidateNamesValue
#define xmlValidateNmtokenValue vtk_libxml2_xmlValidateNmtokenValue
#define xmlValidateNmtokensValue vtk_libxml2_xmlValidateNmtokensValue
#define xmlValidateNotationDecl vtk_libxml2_xmlValidateNotationDecl
#define xmlValidateNotationUse vtk_libxml2_xmlValidateNotationUse
#define xmlValidateOneAttribute vtk_libxml2_xmlValidateOneAttribute
#define xmlValidateOneElement vtk_libxml2_xmlValidateOneElement
#define xmlValidateOneNamespace vtk_libxml2_xmlValidateOneNamespace
#define xmlValidatePopElement vtk_libxml2_xmlValidatePopElement
#define xmlValidatePushCData vtk_libxml2_xmlValidatePushCData
#define xmlValidatePushElement vtk_libxml2_xmlValidatePushElement
#define xmlValidateQName vtk_libxml2_xmlValidateQName
#define xmlValidateRoot vtk_libxml2_xmlValidateRoot
#define xmlXIncludeFreeContext vtk_libxml2_xmlXIncludeFreeContext
#define xmlXIncludeNewContext vtk_libxml2_xmlXIncludeNewContext
#define xmlXIncludeProcess vtk_libxml2_xmlXIncludeProcess
#define xmlXIncludeProcessFlags vtk_libxml2_xmlXIncludeProcessFlags
#define xmlXIncludeProcessFlagsData vtk_libxml2_xmlXIncludeProcessFlagsData
#define xmlXIncludeProcessNode vtk_libxml2_xmlXIncludeProcessNode
#define xmlXIncludeProcessTree vtk_libxml2_xmlXIncludeProcessTree
#define xmlXIncludeProcessTreeFlags vtk_libxml2_xmlXIncludeProcessTreeFlags
#define xmlXIncludeSetFlags vtk_libxml2_xmlXIncludeSetFlags
#define xmlXPathAddValues vtk_libxml2_xmlXPathAddValues
#define xmlXPathBooleanFunction vtk_libxml2_xmlXPathBooleanFunction
#define xmlXPathCastBooleanToNumber vtk_libxml2_xmlXPathCastBooleanToNumber
#define xmlXPathCastBooleanToString vtk_libxml2_xmlXPathCastBooleanToString
#define xmlXPathCastNodeSetToBoolean vtk_libxml2_xmlXPathCastNodeSetToBoolean
#define xmlXPathCastNodeSetToNumber vtk_libxml2_xmlXPathCastNodeSetToNumber
#define xmlXPathCastNodeSetToString vtk_libxml2_xmlXPathCastNodeSetToString
#define xmlXPathCastNodeToNumber vtk_libxml2_xmlXPathCastNodeToNumber
#define xmlXPathCastNodeToString vtk_libxml2_xmlXPathCastNodeToString
#define xmlXPathCastNumberToBoolean vtk_libxml2_xmlXPathCastNumberToBoolean
#define xmlXPathCastNumberToString vtk_libxml2_xmlXPathCastNumberToString
#define xmlXPathCastStringToBoolean vtk_libxml2_xmlXPathCastStringToBoolean
#define xmlXPathCastStringToNumber vtk_libxml2_xmlXPathCastStringToNumber
#define xmlXPathCastToBoolean vtk_libxml2_xmlXPathCastToBoolean
#define xmlXPathCastToNumber vtk_libxml2_xmlXPathCastToNumber
#define xmlXPathCastToString vtk_libxml2_xmlXPathCastToString
#define xmlXPathCeilingFunction vtk_libxml2_xmlXPathCeilingFunction
#define xmlXPathCmpNodes vtk_libxml2_xmlXPathCmpNodes
#define xmlXPathCompareValues vtk_libxml2_xmlXPathCompareValues
#define xmlXPathCompile vtk_libxml2_xmlXPathCompile
#define xmlXPathCompiledEval vtk_libxml2_xmlXPathCompiledEval
#define xmlXPathCompiledEvalToBoolean vtk_libxml2_xmlXPathCompiledEvalToBoolean
#define xmlXPathConcatFunction vtk_libxml2_xmlXPathConcatFunction
#define xmlXPathContainsFunction vtk_libxml2_xmlXPathContainsFunction
#define xmlXPathContextSetCache vtk_libxml2_xmlXPathContextSetCache
#define xmlXPathConvertBoolean vtk_libxml2_xmlXPathConvertBoolean
#define xmlXPathConvertNumber vtk_libxml2_xmlXPathConvertNumber
#define xmlXPathConvertString vtk_libxml2_xmlXPathConvertString
#define xmlXPathCountFunction vtk_libxml2_xmlXPathCountFunction
#define xmlXPathCtxtCompile vtk_libxml2_xmlXPathCtxtCompile
#define xmlXPathDifference vtk_libxml2_xmlXPathDifference
#define xmlXPathDistinct vtk_libxml2_xmlXPathDistinct
#define xmlXPathDistinctSorted vtk_libxml2_xmlXPathDistinctSorted
#define xmlXPathDivValues vtk_libxml2_xmlXPathDivValues
#define xmlXPathEqualValues vtk_libxml2_xmlXPathEqualValues
#define xmlXPathErr vtk_libxml2_xmlXPathErr
#define xmlXPathEval vtk_libxml2_xmlXPathEval
#define xmlXPathEvalExpr vtk_libxml2_xmlXPathEvalExpr
#define xmlXPathEvalExpression vtk_libxml2_xmlXPathEvalExpression
#define xmlXPathEvalPredicate vtk_libxml2_xmlXPathEvalPredicate
#define xmlXPathEvaluatePredicateResult vtk_libxml2_xmlXPathEvaluatePredicateResult
#define xmlXPathFalseFunction vtk_libxml2_xmlXPathFalseFunction
#define xmlXPathFloorFunction vtk_libxml2_xmlXPathFloorFunction
#define xmlXPathFreeCompExpr vtk_libxml2_xmlXPathFreeCompExpr
#define xmlXPathFreeContext vtk_libxml2_xmlXPathFreeContext
#define xmlXPathFreeNodeSet vtk_libxml2_xmlXPathFreeNodeSet
#define xmlXPathFreeNodeSetList vtk_libxml2_xmlXPathFreeNodeSetList
#define xmlXPathFreeObject vtk_libxml2_xmlXPathFreeObject
#define xmlXPathFreeParserContext vtk_libxml2_xmlXPathFreeParserContext
#define xmlXPathFunctionLookup vtk_libxml2_xmlXPathFunctionLookup
#define xmlXPathFunctionLookupNS vtk_libxml2_xmlXPathFunctionLookupNS
#define xmlXPathHasSameNodes vtk_libxml2_xmlXPathHasSameNodes
#define xmlXPathIdFunction vtk_libxml2_xmlXPathIdFunction
#define xmlXPathInit vtk_libxml2_xmlXPathInit
#define xmlXPathIntersection vtk_libxml2_xmlXPathIntersection
#define xmlXPathIsInf vtk_libxml2_xmlXPathIsInf
#define xmlXPathIsNaN vtk_libxml2_xmlXPathIsNaN
#define xmlXPathIsNodeType vtk_libxml2_xmlXPathIsNodeType
#define xmlXPathLangFunction vtk_libxml2_xmlXPathLangFunction
#define xmlXPathLastFunction vtk_libxml2_xmlXPathLastFunction
#define xmlXPathLeading vtk_libxml2_xmlXPathLeading
#define xmlXPathLeadingSorted vtk_libxml2_xmlXPathLeadingSorted
#define xmlXPathLocalNameFunction vtk_libxml2_xmlXPathLocalNameFunction
#define xmlXPathModValues vtk_libxml2_xmlXPathModValues
#define xmlXPathMultValues vtk_libxml2_xmlXPathMultValues
#define xmlXPathNAN vtk_libxml2_xmlXPathNAN
#define xmlXPathNINF vtk_libxml2_xmlXPathNINF
#define xmlXPathNamespaceURIFunction vtk_libxml2_xmlXPathNamespaceURIFunction
#define xmlXPathNewBoolean vtk_libxml2_xmlXPathNewBoolean
#define xmlXPathNewCString vtk_libxml2_xmlXPathNewCString
#define xmlXPathNewContext vtk_libxml2_xmlXPathNewContext
#define xmlXPathNewFloat vtk_libxml2_xmlXPathNewFloat
#define xmlXPathNewNodeSet vtk_libxml2_xmlXPathNewNodeSet
#define xmlXPathNewNodeSetList vtk_libxml2_xmlXPathNewNodeSetList
#define xmlXPathNewParserContext vtk_libxml2_xmlXPathNewParserContext
#define xmlXPathNewString vtk_libxml2_xmlXPathNewString
#define xmlXPathNewValueTree vtk_libxml2_xmlXPathNewValueTree
#define xmlXPathNextAncestor vtk_libxml2_xmlXPathNextAncestor
#define xmlXPathNextAncestorOrSelf vtk_libxml2_xmlXPathNextAncestorOrSelf
#define xmlXPathNextAttribute vtk_libxml2_xmlXPathNextAttribute
#define xmlXPathNextChild vtk_libxml2_xmlXPathNextChild
#define xmlXPathNextDescendant vtk_libxml2_xmlXPathNextDescendant
#define xmlXPathNextDescendantOrSelf vtk_libxml2_xmlXPathNextDescendantOrSelf
#define xmlXPathNextFollowing vtk_libxml2_xmlXPathNextFollowing
#define xmlXPathNextFollowingSibling vtk_libxml2_xmlXPathNextFollowingSibling
#define xmlXPathNextNamespace vtk_libxml2_xmlXPathNextNamespace
#define xmlXPathNextParent vtk_libxml2_xmlXPathNextParent
#define xmlXPathNextPreceding vtk_libxml2_xmlXPathNextPreceding
#define xmlXPathNextPrecedingSibling vtk_libxml2_xmlXPathNextPrecedingSibling
#define xmlXPathNextSelf vtk_libxml2_xmlXPathNextSelf
#define xmlXPathNodeLeading vtk_libxml2_xmlXPathNodeLeading
#define xmlXPathNodeLeadingSorted vtk_libxml2_xmlXPathNodeLeadingSorted
#define xmlXPathNodeSetAdd vtk_libxml2_xmlXPathNodeSetAdd
#define xmlXPathNodeSetAddNs vtk_libxml2_xmlXPathNodeSetAddNs
#define xmlXPathNodeSetAddUnique vtk_libxml2_xmlXPathNodeSetAddUnique
#define xmlXPathNodeSetContains vtk_libxml2_xmlXPathNodeSetContains
#define xmlXPathNodeSetCreate vtk_libxml2_xmlXPathNodeSetCreate
#define xmlXPathNodeSetDel vtk_libxml2_xmlXPathNodeSetDel
#define xmlXPathNodeSetFreeNs vtk_libxml2_xmlXPathNodeSetFreeNs
#define xmlXPathNodeSetMerge vtk_libxml2_xmlXPathNodeSetMerge
#define xmlXPathNodeSetRemove vtk_libxml2_xmlXPathNodeSetRemove
#define xmlXPathNodeSetSort vtk_libxml2_xmlXPathNodeSetSort
#define xmlXPathNodeTrailing vtk_libxml2_xmlXPathNodeTrailing
#define xmlXPathNodeTrailingSorted vtk_libxml2_xmlXPathNodeTrailingSorted
#define xmlXPathNormalizeFunction vtk_libxml2_xmlXPathNormalizeFunction
#define xmlXPathNotEqualValues vtk_libxml2_xmlXPathNotEqualValues
#define xmlXPathNotFunction vtk_libxml2_xmlXPathNotFunction
#define xmlXPathNsLookup vtk_libxml2_xmlXPathNsLookup
#define xmlXPathNumberFunction vtk_libxml2_xmlXPathNumberFunction
#define xmlXPathObjectCopy vtk_libxml2_xmlXPathObjectCopy
#define xmlXPathOrderDocElems vtk_libxml2_xmlXPathOrderDocElems
#define xmlXPathPINF vtk_libxml2_xmlXPathPINF
#define xmlXPathParseNCName vtk_libxml2_xmlXPathParseNCName
#define xmlXPathParseName vtk_libxml2_xmlXPathParseName
#define xmlXPathPopBoolean vtk_libxml2_xmlXPathPopBoolean
#define xmlXPathPopExternal vtk_libxml2_xmlXPathPopExternal
#define xmlXPathPopNodeSet vtk_libxml2_xmlXPathPopNodeSet
#define xmlXPathPopNumber vtk_libxml2_xmlXPathPopNumber
#define xmlXPathPopString vtk_libxml2_xmlXPathPopString
#define xmlXPathPositionFunction vtk_libxml2_xmlXPathPositionFunction
#define xmlXPathRegisterAllFunctions vtk_libxml2_xmlXPathRegisterAllFunctions
#define xmlXPathRegisterFunc vtk_libxml2_xmlXPathRegisterFunc
#define xmlXPathRegisterFuncLookup vtk_libxml2_xmlXPathRegisterFuncLookup
#define xmlXPathRegisterFuncNS vtk_libxml2_xmlXPathRegisterFuncNS
#define xmlXPathRegisterNs vtk_libxml2_xmlXPathRegisterNs
#define xmlXPathRegisterVariable vtk_libxml2_xmlXPathRegisterVariable
#define xmlXPathRegisterVariableLookup vtk_libxml2_xmlXPathRegisterVariableLookup
#define xmlXPathRegisterVariableNS vtk_libxml2_xmlXPathRegisterVariableNS
#define xmlXPathRegisteredFuncsCleanup vtk_libxml2_xmlXPathRegisteredFuncsCleanup
#define xmlXPathRegisteredNsCleanup vtk_libxml2_xmlXPathRegisteredNsCleanup
#define xmlXPathRegisteredVariablesCleanup vtk_libxml2_xmlXPathRegisteredVariablesCleanup
#define xmlXPathRoot vtk_libxml2_xmlXPathRoot
#define xmlXPathRoundFunction vtk_libxml2_xmlXPathRoundFunction
#define xmlXPathStartsWithFunction vtk_libxml2_xmlXPathStartsWithFunction
#define xmlXPathStringEvalNumber vtk_libxml2_xmlXPathStringEvalNumber
#define xmlXPathStringFunction vtk_libxml2_xmlXPathStringFunction
#define xmlXPathStringLengthFunction vtk_libxml2_xmlXPathStringLengthFunction
#define xmlXPathSubValues vtk_libxml2_xmlXPathSubValues
#define xmlXPathSubstringAfterFunction vtk_libxml2_xmlXPathSubstringAfterFunction
#define xmlXPathSubstringBeforeFunction vtk_libxml2_xmlXPathSubstringBeforeFunction
#define xmlXPathSubstringFunction vtk_libxml2_xmlXPathSubstringFunction
#define xmlXPathSumFunction vtk_libxml2_xmlXPathSumFunction
#define xmlXPathTrailing vtk_libxml2_xmlXPathTrailing
#define xmlXPathTrailingSorted vtk_libxml2_xmlXPathTrailingSorted
#define xmlXPathTranslateFunction vtk_libxml2_xmlXPathTranslateFunction
#define xmlXPathTrueFunction vtk_libxml2_xmlXPathTrueFunction
#define xmlXPathValueFlipSign vtk_libxml2_xmlXPathValueFlipSign
#define xmlXPathVariableLookup vtk_libxml2_xmlXPathVariableLookup
#define xmlXPathVariableLookupNS vtk_libxml2_xmlXPathVariableLookupNS
#define xmlXPathWrapCString vtk_libxml2_xmlXPathWrapCString
#define xmlXPathWrapExternal vtk_libxml2_xmlXPathWrapExternal
#define xmlXPathWrapNodeSet vtk_libxml2_xmlXPathWrapNodeSet
#define xmlXPathWrapString vtk_libxml2_xmlXPathWrapString
#define xmlXPatherror vtk_libxml2_xmlXPatherror
#define xmlXPtrAdvanceNode vtk_libxml2_xmlXPtrAdvanceNode
#define xmlXPtrBuildNodeList vtk_libxml2_xmlXPtrBuildNodeList
#define xmlXPtrEndPointFunction vtk_libxml2_xmlXPtrEndPointFunction
#define xmlXPtrEval vtk_libxml2_xmlXPtrEval
#define xmlXPtrEvalRangePredicate vtk_libxml2_xmlXPtrEvalRangePredicate
#define xmlXPtrFreeLocationSet vtk_libxml2_xmlXPtrFreeLocationSet
#define xmlXPtrHereFunction vtk_libxml2_xmlXPtrHereFunction
#define xmlXPtrLocationSetAdd vtk_libxml2_xmlXPtrLocationSetAdd
#define xmlXPtrLocationSetCreate vtk_libxml2_xmlXPtrLocationSetCreate
#define xmlXPtrLocationSetDel vtk_libxml2_xmlXPtrLocationSetDel
#define xmlXPtrLocationSetMerge vtk_libxml2_xmlXPtrLocationSetMerge
#define xmlXPtrLocationSetRemove vtk_libxml2_xmlXPtrLocationSetRemove
#define xmlXPtrNewCollapsedRange vtk_libxml2_xmlXPtrNewCollapsedRange
#define xmlXPtrNewContext vtk_libxml2_xmlXPtrNewContext
#define xmlXPtrNewLocationSetNodeSet vtk_libxml2_xmlXPtrNewLocationSetNodeSet
#define xmlXPtrNewLocationSetNodes vtk_libxml2_xmlXPtrNewLocationSetNodes
#define xmlXPtrNewRange vtk_libxml2_xmlXPtrNewRange
#define xmlXPtrNewRangeNodeObject vtk_libxml2_xmlXPtrNewRangeNodeObject
#define xmlXPtrNewRangeNodePoint vtk_libxml2_xmlXPtrNewRangeNodePoint
#define xmlXPtrNewRangeNodes vtk_libxml2_xmlXPtrNewRangeNodes
#define xmlXPtrNewRangePointNode vtk_libxml2_xmlXPtrNewRangePointNode
#define xmlXPtrNewRangePoints vtk_libxml2_xmlXPtrNewRangePoints
#define xmlXPtrOriginFunction vtk_libxml2_xmlXPtrOriginFunction
#define xmlXPtrRangeFunction vtk_libxml2_xmlXPtrRangeFunction
#define xmlXPtrRangeInsideFunction vtk_libxml2_xmlXPtrRangeInsideFunction
#define xmlXPtrRangeToFunction vtk_libxml2_xmlXPtrRangeToFunction
#define xmlXPtrStartPointFunction vtk_libxml2_xmlXPtrStartPointFunction
#define xmlXPtrStringRangeFunction vtk_libxml2_xmlXPtrStringRangeFunction
#define xmlXPtrWrapLocationSet vtk_libxml2_xmlXPtrWrapLocationSet

#endif
